<?php
// +-------------------------------------------------+
//  2002-2004 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: proc.inc.php,v 1.5 2008/03/28 06:34:37 touraine37 Exp $

if (stristr($_SERVER['REQUEST_URI'], ".inc.php")) die("no access");

print "<script type='text/javascript'>
function test_form(form) {
	if(form.f_proc_name.value.length == 0) {
		alert(\"$msg[702]\");
		form.f_proc_name.focus();
		return false;
		}
	if(form.f_proc_code.value.length == 0) {
		alert(\"$msg[703]\");
		form.f_proc_code.focus();
		return false;
		}
	return true;
	}
</script>";

//Verification de la presence et de la syntaxe des parametres de la requete
//retourne true si OK, le nom du parametre entre parentheses sinon
function check_param($requete) {
	$query_parameters=array();
	//S'il y a des termes !!*!! dans la requte alors il y a des paramtres
	if (preg_match_all("|!!(.*)!!|U",$requete,$query_parameters)) {
			for ($i=0; $i<count($query_parameters[1]); $i++) {
				if (!preg_match("/^[A-Za-z][A-Za-z0-9_]*$/",$query_parameters[1][$i])) {
					return "(".$query_parameters[1][$i].")";
				}
			}
	}
	return true;
}

function show_procs($dbh) {
	global $msg, $javascript_path;

	print "
		<script type=\"text/javascript\" src=\"".$javascript_path."/tablist.js\"></script>
		<a href=\"javascript:expandAll()\"><img src='./images/expand_all.gif' border='0' id=\"expandall\"></a>
		<a href=\"javascript:collapseAll()\"><img src='./images/collapse_all.gif' border='0' id=\"collapseall\"></a>
		";
	// affichage du tableau des procdures
	$requete = "SELECT idproc, name, requete, comment, libproc_classement, num_classement FROM procs left join procs_classements on idproc_classement=num_classement ORDER BY libproc_classement,name ";
	$res = mysql_query($requete, $dbh);
	$nbr = mysql_num_rows($res);

	$class_prec=$msg[proc_clas_aucun];
	$buf_tit="";
	$buf_class=0;
	$parity=1;
	for($i=0;$i<$nbr;$i++) {
		$row=mysql_fetch_row($res);
		$classement=$row[4];
		if ($class_prec!=$classement) {
			if (!$row[4]) $row[4]=$msg[proc_clas_aucun];
			if ($buf_tit) {
				$buf_contenu="<table><tr><th colspan=4>".$buf_tit."</th></tr>".$buf_contenu."</table>";
				print gen_plus("procclass".$buf_class,$buf_tit,$buf_contenu);
				$buf_contenu="";
			}
			$buf_tit=$row[4];
			$buf_class=$row[5];
			$class_prec=$classement;
		}		
		if ($parity % 2) {
			$pair_impair = "even";
			} else {
				$pair_impair = "odd";
				}
		$parity += 1;
		$tr_javascript=" onmouseover=\"this.className='surbrillance'\" onmouseout=\"this.className='$pair_impair'\" onmousedown=\"document.location='./admin.php?categ=proc&sub=proc&action=modif&id=$row[0]';\" ";
        $buf_contenu.="\n<tr class='$pair_impair' $tr_javascript style='cursor: pointer'>
				<td width='10'>
					<input class='bouton' type='button' value=' $msg[708] ' onClick=\"document.location='./admin.php?categ=proc&sub=proc&action=execute&id=$row[0]'\" />
					</td>
				<td>
					<strong>$row[1]</strong><br/>
					<small>$row[3]&nbsp;</small>
					</td>
				<td>";
		if (preg_match_all("|!!(.*)!!|U",$row[2],$query_parameters)) $buf_contenu.="<a href='admin.php?categ=proc&sub=proc&action=configure&id_query=".$row[0]."'>".$msg["procs_options_config_param"]."</a>";
		$buf_contenu.="</td>";
		$buf_contenu.="<td><input class='bouton' type='button' value=\"".$msg[procs_bt_export]."\" onClick=\"document.location='./export.php?quoi=procs&sub=actionsperso&id=$row[0]'\" /></td>
					</tr>";
		}
	$buf_contenu="<table><tr><th colspan=4>".$buf_tit."</th></tr>".$buf_contenu."</table>";
	print gen_plus("procclass".$buf_class,$buf_tit,$buf_contenu);	
	print "
		<input class='bouton' type='button' value=' $msg[704] ' onClick=\"document.location='./admin.php?categ=proc&sub=proc&action=add'\" />
		<input class='bouton' type='button' value=' $msg[procs_bt_import] ' onClick=\"document.location='./admin.php?categ=proc&sub=proc&action=import'\" />
		<input class='bouton' type='button' value=' $msg[admin_menu_req] ' onClick=\"document.location='./admin.php?categ=proc&sub=req&action=add'\" />";
	}

function proc_form($name='', $code='', $comment='', $id=0, $autorisations=array(), $num_classement=0) {
	global $msg;
	global $admin_proc_form;
	global $charset;

	$admin_proc_form = str_replace('!!id!!', $id, $admin_proc_form);
	if (!$id) $admin_proc_form = str_replace('!!form_title!!', $msg[704], $admin_proc_form);
	else $admin_proc_form = str_replace('!!form_title!!', $msg["procs_modification"], $admin_proc_form);

	if ($id && $name && $code) $action = "./admin.php?categ=proc&sub=proc&action=modif&id=$id";
	else $action = "./admin.php?categ=proc&sub=proc&action=add";
	$admin_proc_form = str_replace('!!action!!', $action, $admin_proc_form);
	
 	$admin_proc_form = str_replace('!!name!!', htmlentities($name,ENT_QUOTES, $charset), $admin_proc_form);
 	$admin_proc_form = str_replace('!!name_suppr!!', htmlentities(addslashes($name),ENT_QUOTES, $charset), $admin_proc_form);
 	$admin_proc_form = str_replace('!!code!!', htmlentities($code,ENT_QUOTES, $charset), $admin_proc_form);
 	$admin_proc_form = str_replace('!!comment!!', htmlentities($comment,ENT_QUOTES, $charset), $admin_proc_form);
	
	$autorisations_users="";
	$id_check_list='';
	while (list($row_number, $row_data) = each($autorisations)) {
		$id_check="auto_".$row_data[1];
		if($id_check_list)$id_check_list.='|';
		$id_check_list.=$id_check;
		if ($row_data[0]) $autorisations_users.="<span class='usercheckbox'><input type='checkbox' name='userautorisation[]' id='$id_check' value='".$row_data[1]."' checked class='checkbox'><label for='$id_check' class='normlabel'>&nbsp;".$row_data[2]."</label></span>&nbsp;&nbsp;";
		else $autorisations_users.="<span class='usercheckbox'><input type='checkbox' name='userautorisation[]' id='$id_check' value='".$row_data[1]."' class='checkbox'><label for='$id_check' class='normlabel'>&nbsp;".$row_data[2]."</label></span>&nbsp;&nbsp;";
	}
	$autorisations_users.="<input type='hidden' id='auto_id_list' name='auto_id_list' value='$id_check_list' >";	
	$admin_proc_form = str_replace('!!autorisations_users!!', $autorisations_users, $admin_proc_form);
	
	$combo_clas= gen_liste ("SELECT idproc_classement,libproc_classement FROM procs_classements ORDER BY libproc_classement ", "idproc_classement", "libproc_classement", "form_classement", "", $num_classement, 0, $msg[proc_clas_aucun],0, $msg[proc_clas_aucun]) ;
	$admin_proc_form = str_replace('!!classement!!', $combo_clas, $admin_proc_form);
	
	print confirmation_delete("./admin.php?categ=proc&sub=proc&action=del&id=");
	print $admin_proc_form;
}

function run_form($id, $dbh) {
	global $msg;
	global $charset;
	
	$hp=new parameters($id,"procs");
	if (preg_match_all("|!!(.*)!!|U",$hp->proc->requete,$query_parameters))
		$hp->gen_form("admin.php?categ=proc&sub=proc&action=final&id=$id");
	else echo "<script>document.location='admin.php?categ=proc&sub=proc&action=final&id=$id'</script>";
}


switch($action) {
	case 'configure':
		$hp=new parameters($id_query,"procs");
		$hp->show_config_screen("admin.php?categ=proc&sub=proc&action=update_config","admin.php?categ=proc&sub=proc");
		break;
	case 'update_config':
		$hp=new parameters($id_query,"procs");
		$hp->update_config("admin.php?categ=proc&sub=proc");
		break;
	case 'final':
		$hp=new parameters($id_query,"procs");
		if (preg_match_all("|!!(.*)!!|U",$hp->proc->requete,$query_parameters)) {
			$hp->get_final_query();
			$code=$hp->final_query;
			$id=$id_query;
		}
		include("./admin/proc/execute.inc.php");
		break;
	case 'execute':
		// form pour params et validation
		run_form($id, $dbh);
		break;
	case 'modif':
		if($id) {
			if($f_proc_name && $f_proc_code) {
				// faire la modification
				if (is_array($userautorisation)) $autorisations=implode(" ",$userautorisation);
					else $autorisations='';
				$param_name=check_param($f_proc_code);
				if ($param_name!==true) {
					error_message_history($param_name, sprintf($msg["proc_param_check_field_name"],$param_name), 1); 
					exit();
				}
				$requete = "UPDATE procs SET name='$f_proc_name',requete='$f_proc_code',comment='$f_proc_comment' , autorisations='$autorisations' , num_classement='$form_classement' WHERE idproc=$id ";
				$res = mysql_query($requete, $dbh);
				show_procs($dbh);
			} else {
				// afficher le form avec les bonnes valeurs
				// ALTER TABLE procs ADD autorisations MEDIUMTEXT;
				$requete = "SELECT idproc, name, requete, comment, autorisations, num_classement FROM procs WHERE idproc=$id LIMIT 1 ";
				$res = mysql_query($requete, $dbh);
				$requete_users = "SELECT userid, username FROM users order by username ";
				$res_users = mysql_query($requete_users, $dbh);
				$all_users=array();
				while (list($all_userid,$all_username)=mysql_fetch_row($res_users)) {
					$all_users[]=array($all_userid,$all_username);
					}
				if(mysql_num_rows($res)) {
					$row = mysql_fetch_row($res);
					$autorisations_donnees=explode(" ",$row[4]);
					for ($i=0 ; $i<count($all_users) ; $i++) {
						if (array_search ($all_users[$i][0], $autorisations_donnees)!==FALSE) $autorisation[$i][0]=1;
							else $autorisation[$i][0]=0;
						$autorisation[$i][1]= $all_users[$i][0];
						$autorisation[$i][2]= $all_users[$i][1];
						}
					proc_form($row[1], $row[2], $row[3], $row[0],$autorisation, $row[5]);
					}
				}
		} else {
			show_procs($dbh);
		}
		break;
	case 'add':
		if($f_proc_name && $f_proc_code) {
			$requete = "SELECT count(1) FROM procs WHERE name='$f_proc_name' ";
			$res = mysql_query($requete, $dbh);
			$nbr_lignes = mysql_result($res, 0, 0);
			if(!$nbr_lignes) {
				if (is_array($userautorisation)) {
					$autorisations=implode(" ",$userautorisation);
				} else {
					$autorisations='';
				}
				$param_name=check_param($f_proc_code);
				if ($param_name!==true) {
					error_message_history($param_name, sprintf($msg["proc_param_check_field_name"],$param_name), 1);
					die();
				}
				$requete = "INSERT INTO procs (idproc,name,requete,comment,autorisations,num_classement) VALUES ('', '$f_proc_name', '$f_proc_code', '$f_proc_comment', '$autorisations', '$form_classement'  ) ";
				$res = mysql_query($requete, $dbh);
			} else {
				print "<script language='Javascript'>alert(\"$msg[709]\");</script>";
			}
			show_procs($dbh);
		} else {
			$requete_users = "SELECT userid, username FROM users order by username ";
			$res_users = mysql_query($requete_users, $dbh);
			$autorisation=array();
			while (list($all_userid,$all_username)=mysql_fetch_row($res_users)) {
				$autorisation[]=array(0,$all_userid,$all_username);
				}
			proc_form("", "", "", 0, $autorisation);
		}
		break;
	case 'import':
		$import_proc_tmpl = str_replace("!!action!!", "./admin.php?categ=proc&sub=proc&action=importsuite", $import_proc_tmpl);
		print $import_proc_tmpl ;
		break;
	case 'importsuite':
		procs_create ("PROCS", "./admin.php?categ=proc&sub=proc&action=modif&id=!!id!!", "./admin.php?categ=proc&sub=proc&action=importsuite") ;
		break;
	case 'del':
		if($id) {
			$requete = "DELETE FROM procs WHERE idproc=$id ";
			$res = mysql_query($requete, $dbh);
			$requete = "OPTIMIZE TABLE procs ";
			$res = mysql_query($requete, $dbh);
			show_procs($dbh);
		}
		break;
	default:
		show_procs($dbh);
		break;
	}
