<?php
// +-------------------------------------------------+
// | 2002-2007 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: transfert.class.php,v 1.3 2008/01/07 16:55:26 touraine37 Exp $

if (stristr($_SERVER['REQUEST_URI'], ".class.php")) die("no access");

class transfert {

    function transfert() {
    }
    
    // Dit si un exemplaire est transfrable.
    // @param int $expl Id de l'exemplaire sur lequel on interroge
    // @return boolean true si la notice est transfrable
    function est_transferable($expl) {
    	global $deflt_docs_location;
    	
    	$query = "SELECT COUNT(*) FROM transferts_demandes WHERE num_expl='" .
    				addslashes($expl) ."' AND etat_transfert NOT IN ('0', '2', '3')";
    	$res = mysql_query($query);
    	$row = mysql_fetch_row($res);
    	if ($row[0] != 0)
    		return false;
    	return true;
    }
    
	// Envoie un email de confirmation d'envoi du document si ncessaire.
	// @param int $id_transfert L'id du transfert.
	function envoie_email_envoi($id_transfert) {
		global $PMBuserid, $PMBuseremail;
    	
		if (!transfert::_accuse_de_reception_demande($id_transfert)) // Si l'accus n'a pas t demand
	    	return ; // Pas d'email  envoyer
	    // On va chercher qui a fait la demande
	    $query = "SELECT type_objet, origine FROM transferts_demandes WHERE id_transfert='" . addslashes($id_transfert) . "'";
	    $res = mysql_query($query);
	    $trans = mysql_fetch_object($res);
	    switch ($trans->type_objet) {
		    case TYPE_OBJET_WEB_USER: // Demande cre par un utilisateur
		    	//TODO il n'y a pas moyen d'avoir le nom et le prnom depuis des globales?
		    	$query = "SELECT nom, prenom FROM users WHERE userid='$PMBuserid'";
		    	$res = mysql_query($query);
		    	$user = mysql_fetch_object($res);
			    $to_nom = $user->prenom . " " . $user->nom;
			    $to_mail = $PMBuseremail;
			    $obj = "TODO"; //TODO comment on gre l'internationalisation??
			    $corps = "TODO"; //TODO comment on gre l'internationalisation??
			    $from_name = "TODO"; //TODO on met quoi ici????
			    $from_mail = "TODO"; //TODO on met quoi ici?????
			    $headers = "";
			    $copieCC = "";
			    $copie_BCC = "";
			    $faire_nl2br = true;
			    //TODO dcommenter pour rendre actif
			    //mailpmb($to_nom, $to_mail, $obj, $corps, $from_name, $from_mail, $headers, $copie_CC, $copie_BCC, $faire_nl2br);
			    break ;
		    case TYPE_OBJET_WEB_EMPRUNTEUR: // Demande cre par un emprunteur
			    //TODO coder ce cas (une fois que la rservation depuis l'opac est prete)
			    break ;
		    default:	
	    }
    }

    /**
     * Envoie un email si ncessaire lors du refus d'une demande de transfert.
     * @param int $id_transfert L'id du transfert.
     */
    function envoie_email_refus($id_transfert) {
    	//TODO code
    }
    
    // Dit si l'accus de rception est demand concernant une demande de transfert.
    // @return boolean true si l'accus de rception a t demand, false sinon.
    function _accuse_de_reception_demande($id_transfert) {
    	// On vrifie si l'accus de rception a t demand.
	    $query = "SELECT accuse_reception FROM transferts_demandes WHERE id_transfert = '" . addslashes($id_transfert) . "'";
	    $res = mysql_query($query);
	    $row = mysql_fetch_row($res);
	    if ($row[0] == "1") // Si l'accus a t demand
		    return true;
		return false;
    }
    
    
    // Affiche une liste de demandes de transfert
    // @param string $form_link Si ce paramtre n'est pas vide, la liste affiche comporte des inputs
    // permettant de choisir une demande dans la liste. L'action des formulaires pointe vers la valeur
    // donne  ce paramtre
    // @param string $where Clause "WHERE ..." optionnelle permettant de filtrer les lments retenus
    // dans la liste.
    // @param boolean $colonne_refus Si vrai, une colonne permettant de refuser les demandes s'affiche.
    // Si faux, elle ne s'affiche pas.
    // @param string $action_refus Action du formulaire qui concerne le refus des demandes.
    function affiche_liste($form_link='', $where='', $filtres = true, $colonne_refus = true, $action_refus = '') {
    	global $PMBuserid, $msg, $location, $montrerquoi, $deflt_docs_location;
    	
    	if ($filtres)
			print transfert::_affiche_liste_filtres();
    	if ($colonne_refus)
    		print "<form class='form-circ' method='post' action='" . htmlentities($action_refus) . "'>";
    	if ($form_link != "")
    		print "<form class='form-circ' method='post' action='" . htmlentities($form_link) . "'>";
		print "<table width='100%'>";
		
		print "<tr>"; // premire ligne
		print "<th>$msg[233]</th>"; // Titre
		print "<th>$msg[transferts_source]</th>"; // Source
		print "<th>$msg[transferts_destination]</th>"; // Destination
		print "<th>$msg[232]</th>"; // No d'exemplaire
		print "<th>$msg[transferts_date_creation]</th>"; // Date de cration du transfert
		print "<th>$msg[transferts_confirme]</th>"; // Transfert confirm?
		print "<th>$msg[transferts_date_confirmation]</th>"; // Date de confirmation
		print "<th>$msg[transferts_precedent]</th>"; // Demande prcdente
		print "<th>$msg[transferts_motif]</th>"; // Motif de la demande de transfert
		print "<th>$msg[transferts_motif_refus]</th>"; // Motif de refus du transfert
		if ($colonne_refus)
			print "<th>$msg[transferts_refuser]</th>";
		if ($form_link != "")
    		print "<th></th>";
		print "</tr>\n"; // !premire ligne
		
		if ($where == '')
			$where = "WHERE etat_transfert!='3'";
		if ($location == "") {
			if ($filtres == true) {
				$location = $deflt_docs_location;
				$where .= " AND (num_location_source='$location' OR num_location_dest='$location')";
			}
		}
		if ($montrerquoi == "entrant" && $location != "all")
			$where .= " AND num_location_dest='$location'";
		elseif ($montrerquoi == "sortant" && $location != "all")
			$where .= " AND num_location_source='$location'";
		$query = "SELECT id_transfert, num_location_source, num_location_dest, num_expl, date_format(date_creation, '$msg[format_date]') as date_creation,
			etat_transfert, date_format(date_confirmation, '$msg[format_date]') as date_confirmation_formatee, date_confirmation,
			num_precedent, motif, motif_refus, accuse_reception FROM transferts_demandes " . $where . " ORDER BY date_creation DESC";
		$res = mysql_query($query);
		while ($trans = mysql_fetch_object($res)) {
			print "<tr>";
			
			// Titre
			$query = "SELECT notices.tit1 FROM notices, exemplaires WHERE exemplaires.expl_id='" . addslashes($trans->num_expl) . "'
					AND notices.notice_id=exemplaires.expl_notice";
			$res1 = mysql_query($query);
			$obj = mysql_fetch_object($res1);
			print "<td>" . htmlentities($obj->tit1) . "</td>";
			// Source
			$query = "SELECT location_libelle FROM docs_location WHERE idlocation='".
				addslashes($trans->num_location_source) ."'";
			$res1 = mysql_query($query);
			$obj = mysql_fetch_object($res1);
			print "<td>" . htmlentities($obj->location_libelle) . "</td>";
			// Destination
			$query = "SELECT location_libelle FROM docs_location WHERE idlocation='".
				addslashes($trans->num_location_dest) ."'";
			$res1 = mysql_query($query);
			$obj = mysql_fetch_object($res1);
			print "<td>" . addslashes($obj->location_libelle) . "</td>";
			// No d'exemplaire
			$query = "SELECT expl_cb FROM exemplaires WHERE expl_id='" . addslashes($trans->num_expl) . "'";
			$res1 = mysql_query($query);
			$obj = mysql_fetch_object($res1);
			print "<td>" . htmlentities($obj->expl_cb) . "</td>";
			// Date de cration
			print "<td>" . htmlentities($trans->date_creation) . "</td>";
			// Demande de transfert confirme?
			if ($trans->etat_transfert == 1)
				$croix = "<font color='red'><b>X</b></font>";
			else
				$croix = "";
			print "<td style='text-align:center;'>$croix</td>";
			// Date de confirmation
			if ($trans->date_confirmation != "0000-00-00 00:00:00")
				$date_confirmation = "$trans->date_confirmation_formatee";
			else
				$date_confirmation = "";
			print "<td>" . htmlentities($date_confirmation) . "</td>";
			// Lien vers la demande prcdente
			print "<td>TODO</td>";
			// Motif de la demande
			if ($trans->motif !="")
				$motif_link = "<a href='circ.php?categ=trans&sub=affiche_motif&id_transfert=". rawurlencode($trans->id_transfert) ."'>$msg[210]</a>";
			else
				$motif_link = "";
			print "<td>$motif_link</td>";
			// Motif de refus
			if ($trans->motif_refus != "")
				$motif_refus = "<a href='circ.php?categ=trans&sub=affiche_motif_refus&id_transfert=" . rawurlencode($trans->id_transfert) . "'>Voir</a>";
			else
				$motif_refus = "";
			print "<td>$motif_refus</td>";
			if ($colonne_refus) { // checkbox "Refuser" (si $colonne_refus est vrai)
				print "<td>";
				print "<input type='checkbox' name='refus_" . htmlentities($trans->id_transfert) . "' />";
				print "</td>";
			}
			// Bouton "ok" (si $link est donn en paramtre)
			if ($form_link != '') {
				print "<td>";
				print "<input type='submit' name='trans_" . htmlentities($trans->id_transfert) . "' value='$msg[transferts_choisir_demande]' />";
				print "</td>";
			}
			print "</tr>\n";
		} // !while
		print "</table>";
		// Si on n'a affich aucun rsultat
		if (mysql_num_rows($res) == 0) {
			print "<h3 style='text-align: center'>$msg[transferts_aucune_demande_ne_correspond]</h3>";
		}
		if ($colonne_refus) {
			print "<hr/>";
			print "<input class='bouton' type='submit' value='$msg[transferts_refuser_les_transferts]'>";
    		print "</form>";//!form-circ
		}
		if ($form_link != "")
			print "</form>";//!form-circ
    }
    
    // @return string Le code HTML correspondant aux contrles de filtrage.
    function _affiche_liste_filtres() {
    	global $msg, $location, $deflt_docs_location, $montrerquoi;
	    
	    $str = "";
	    $str .= "<form class='form-circ' method='post' action='./circ.php?categ=trans'>";
	    $str .= "<div class='left'>";
	    
	    // Choix du site
	    $query = "SELECT idlocation, location_libelle FROM docs_location";
	    $res = mysql_query($query);
	    $str .= "<label for='location'>$msg[transferts_site]&nbsp;</label>";
	    $str .= "<select name='location' id='location' onChange='this.form.submit()'>";
	    if ($location == "all")
		    $selected = " selected";
	    else
		    $selected = "";
	    $str .= "<option value='all'$selected>$msg[transferts_tous_les_sites]</option>";
	    while ($loc = mysql_fetch_object($res)) {
		    //Gestion du "selected"
		    if ($location == $loc->idlocation)
			    $selected = " selected";
		    else
			    $selected = "";
		    if ($location == "" && ($loc->idlocation == $deflt_docs_location))
			    $selected = " selected";
		    $str .= "<option value='" . htmlentities($loc->idlocation) . "'$selected>" .
		    		htmlentities($loc->location_libelle) . "</option>";
	    }
	    $str .= "</select>"; // !location
	    
	    if ($location != "all") {
		    // Initialisation des variables permettant de choisir quel bouton radio est slctionn
		    if ($montrerquoi == "" || $montrerquoi == "all" ||
			    ($montrerquoi == "entrant" && $location == "all") || ($montrerquoi == "sortant" && $location == "all"))
			    $all_selected = " checked";
		    if ($montrerquoi == "entrant" && $location != "all")
			    $entrant_selected = " checked";
		    if ($montrerquoi == "sortant" && $location != "all")
			    $sortant_selected = " checked";
		    // Tous les transferts
		    $str .= "<span class='usercheckbox'>";
		    $str .= "<input id='all' type='radio' onclick='this.form.submit()' value='all' name='montrerquoi'$all_selected />";
		    $str .= "<label for='all'>$msg[transferts_tous_les_transferts]</label>";
		    $str .= "</span>"; // !usercheckbox
		    
		    // Transferts entrants
		    $str .= "<span class='usercheckbox'>";
		    $str .= "<input id='entrant' type='radio' onclick='this.form.submit()' value='entrant' name='montrerquoi'$entrant_selected />";
		    $str .= "<label for='entrant'>$msg[transferts_transferts_entrants]</label>";
		    $str .= "</span>"; // !usercheckbox
		    // Transferts sortants
		    $str .= "<span class='usercheckbox'>";
		    $str .= "<input id='sortant' type='radio' onclick='this.form.submit()' value='sortant' name='montrerquoi'$sortant_selected />";
		    $str .= "<label for='sortant'>$msg[transferts_transferts_sortants]</label>";
		    $str .= "</span>"; // !usercheckbox
	    }
	    
	    $str .= "</div>"; // !left
	    
	    // Lien vers les ditions
	    $str .= "<div class='right'><a href='TODO'>$msg[1100]</a></div>";
	    $str .= "<div class='row' />";
	    $str .= "</form>"; // !form-circ
	    $str .= "<br/>";
    	return $str;
    }
    
}
?>