// +-------------------------------------------------+
//  2002-2004 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: requests_frame.js,v 1.4 2008/03/20 11:18:42 dbellamy Exp $

/*
 * Ncessite drag_n_drop.js
 * Ncessite select.js
 */

//Un peu de calcul sur la hauteur des div dans la frame !!!
function req_setFrameSize(){
	var fh=getWindowHeight();
	var pos=findPos(document.getElementById('req_tree_div'));
	var row_2=document.getElementById('row_2');
	var row_2h=fh-(pos[1]*2);
	row_2.style.height=row_2h+'px';
}

req_setFrameSize();

var req_nb_lines=0;
var req_cur_line=0;
var joi_link= new Array();

var min_length=0;

var up_icon='../../images/up.gif';
var down_icon='../../images/down.gif';
var remove_icon='../../images/cross.gif';
var up_sort_icon='../../images/fleche_diago_haut.png';
var down_sort_icon='../../images/fleche_diago_bas.png';
var no_sort_icon='../../images/stop.gif';
var move_icon ='../../images/drag_symbol.png';

//Modification drag_n_drop.js
try{
	drag_icon='../../images/drag_symbol.png';
	drag_empty_icon='../../images/drag_empty_symbol.png';
}catch(err){};

var att=document.createElement('DIV');
att.setAttribute('id','att');
att.style.zIndex='1000';

//Ajout ligne requete
function req_addLine() {
	var req_type=parent.document.getElementById('req_type');
	req_addReqLine(req_type.value);
}

//Ajout ligne requete (suite)
function req_addReqLine(req_type) {

	var te=document.getElementById('req_tab');
	req_nb_lines++;
	req_cur_line++;

	switch (req_type) {

		case '2' :	//Selection

			tr=req_addRow(req_cur_line);

			td1=req_addDataCell(req_cur_line);
			tr.appendChild(td1);	
		
			td2=req_addFilterCell(req_cur_line);
			tr.appendChild(td2);

			td3=req_addAliasCell(req_cur_line);
			tr.appendChild(td3);

			td4=document.createElement('TD');
			td4.setAttribute('id','C_VI_'+req_cur_line);
			i41=req_addVisibility(req_cur_line);
			td4.appendChild(i41);
			tr.appendChild(td4);

			td5=req_addGroupCell(req_cur_line);
			tr.appendChild(td5);

			td6=req_addSortCell(req_cur_line);
			tr.appendChild(td6);

			td7=req_addActionCell(req_cur_line);
			tr.appendChild(td7);

			te.appendChild(tr);

			i41.checked=true;
			init_drag();
			break;

		case '3' :	//Insertion

			tr=req_addRow(req_cur_line);
			
			td1=req_addDataCell(req_cur_line);
			tr.appendChild(td1);	

			td2=req_addValueCell(req_cur_line);			
			tr.appendChild(td2);

			td3=req_addMandatoryCell(req_cur_line);			
			tr.appendChild(td3);
			
			td4=req_addActionCell(req_cur_line);
			tr.appendChild(td4);
			
			te.appendChild(tr);
			break;

		case '4' :	//Mise a jour

			tr=req_addRow(req_cur_line);

			td1=req_addDataCell(req_cur_line);
			tr.appendChild(td1);

			td2=req_addValueCell(req_cur_line);			
			tr.appendChild(td2);

			td3=req_addFilterCell(req_cur_line);
			tr.appendChild(td3);

			td4=req_addActionCell(req_cur_line);
			tr.appendChild(td4);
			
			te.appendChild(tr);
			break;

		case '5' :	//Suppression

			tr=req_addRow(req_cur_line);
	
			td1=req_addDataCell(req_cur_line);
			tr.appendChild(td1);

			td2=req_addFilterCell(req_cur_line);
			tr.appendChild(td2);

			td3=req_addActionCell(req_cur_line);
			tr.appendChild(td3);
			
			te.appendChild(tr);
			break;

		default :
			break;
	}
}

//Ajout ligne
function req_addRow(lig){

	tr=document.createElement('TR');
	tr.setAttribute('id','R_'+lig);
	tr.setAttribute('recept','yes');
	tr.setAttribute('recepttype','row');
	tr.setAttribute('highlight','row_highlight');
	tr.setAttribute('downlight','row_downlight');
	tr.setAttribute('draggable','yes');
	tr.setAttribute('dragtype','row');
	tr.setAttribute('handler','R_HA_'+lig);
	tr.setAttribute('dragtext',msg_move);
	return tr;
}

//Ajout cellule donnees
function req_addDataCell(lig) {
	
	td=document.createElement('TD');
	td.setAttribute('id','C_DA_'+lig);
	td.setAttribute('recept','yes');
	td.setAttribute('recepttype','cell');
	td.setAttribute('highlight','cell_highlight');
	td.setAttribute('downlight','cell_downlight');
	return td;
}

//Ajout cellule filtre
function req_addFilterCell(lig) {
	
	td=document.createElement('TD');
	td.setAttribute('id','C_FI_'+lig);
	return td;
}

//Ajout cellule alias
function req_addAliasCell(lig) {

	td=document.createElement('TD');
	td.setAttribute('id','C_AL_'+lig);
	i=document.createElement('INPUT');
	i.setAttribute('type','text');
	i.setAttribute('id','AL_'+lig);
	i.setAttribute('name','AL_'+lig);
	i.className='in_cell';
	i.value='';
	td.appendChild(i);
	return td;
}

//Ajout champ visibilite
function req_addVisibility(lig) {

	i=document.createElement('INPUT');
	i.setAttribute('type','checkbox');
	i.setAttribute('id','VI_'+lig);
	i.setAttribute('name','VI_'+lig);
	i.value='1';
	return i;
}

//Ajout cellule regroupement
function req_addGroupCell(lig) {
	
	td=document.createElement('TD');
	td.setAttribute('id','C_GR_'+lig);
	i=document.createElement('INPUT');
	i.setAttribute('type','checkbox');
	i.setAttribute('id','GR_'+lig);
	i.setAttribute('name','GR_'+lig);
	i.value='1'
	td.appendChild(i);
	return td;
}

//Ajout cellule tri
function req_addSortCell(lig) {

	td=document.createElement('TD');
	td.setAttribute('id','C_SO_'+lig);
	i1=document.createElement('INPUT');
	i1.setAttribute('type','hidden');
	i1.setAttribute('id','SO_'+lig);
	i1.setAttribute('name','SO_'+lig);
	i1.value='0';
	td.appendChild(i1);
	i2=document.createElement('IMG');
	i2.setAttribute('src',no_sort_icon);
	i2.className='stop_bt';
	i2.onclick=req_switchSort;
	td.appendChild(i2);
	return td;
}

//Ajout cellule action
function req_addActionCell(lig) {

	td=document.createElement('TD');
	i1=document.createElement('IMG');
	i1.setAttribute('src',up_icon);
	i1.className='up_bt';
	i1.onclick=moveLineUp;
	td.appendChild(i1);
	i2=document.createElement('IMG');
	i2.setAttribute('src',down_icon);
	i2.className='down_bt';
	i2.onclick=moveLineDown;
	td.appendChild(i2);
	i3=document.createElement('IMG');
	i3.setAttribute('src',remove_icon);
	i3.className='cross_bt';
	i3.onclick=req_removeReqLine;
	td.appendChild(i3);			
	i4=document.createElement('IMG');
	i4.setAttribute('src',move_icon);
	i4.setAttribute('id','R_HA_'+lig);
	i4.className='req_row_handler';
	td.appendChild(i4);
	return td;
}

//Ajout cellule valeur
function req_addValueCell(lig){ 

	td=document.createElement('TD');
	td.setAttribute('id','C_VA_'+lig);
	return td;
}

//Ajout cellule obligatoire 
function req_addMandatoryCell(lig) {

	td=document.createElement('TD');
	td.setAttribute('id','C_MA_'+lig);
	i=document.createElement('INPUT');
	i.setAttribute('type','checkbox');
	i.setAttribute('id','MA_'+lig);
	i.setAttribute('unchecked','unchecked');
	i.setAttribute('disabled','disabled');
	td.appendChild(i);
	return td;
}

//Suppression ligne de requete
function req_removeReqLine(){

	var cr=this.parentNode.parentNode;
	var i=cr.rowIndex;
	req_removeChilds(cr);
	var tab=cr.parentNode;
	tab.deleteRow(i);
	var req_nb_lines=document.getElementById('req_nb_lines');
	req_nb_lines--;
	try {
		init_drag();
	}catch(err){} //drag_n_drop.js non implante
	return false;
}

//Changement tri
function req_switchSort() {
	
	var elt = this.previousSibling;
	switch (elt.value) {
		case '0' :	
			this.setAttribute('src',up_sort_icon);
			elt.value='1';
			break;
		case '1' :	
			this.setAttribute('src',down_sort_icon);
			elt.value='2';
			break;
		case '2' :	
		default :
			this.setAttribute('src',no_sort_icon);
			elt.value='0';
			break;

	}
	return false;
}

//Soumission du formulaire de requete
function req_submitFrame(){
	
	var url= "../../ajax.php?module=admin&categ=req&fname=buildRequest";
	url+='&req_univ='+escape(parent.document.getElementById('req_univ').value);
	url+='&req_type='+escape(parent.document.getElementById('req_type').value);
	url+='&req_nb_lines='+escape(req_nb_lines);
	url+='&req_order='+escape(req_getOrder('req_tab', 'req_order'));
	var f=document.getElementById('req_frame_modif');
	var n='';data='';
	for (var i=0;i<f.length;i++) {
		if ( (f.elements[i].type!='radio' && f.elements[i].type!='checkbox') || (f.elements[i].checked) ) {
			t=f.elements[i].name.split('_');
			n=t[0];
			for(var j=1;j<t.length;j++){
				n+='['+t[j]+']';
			}	
			data+='&'+n+'='+escape(f.elements[i].value);
		}
	}

	// On initialise la classe:
	var buildRequest = new http_request();
	// Excution de la requete
	if(buildRequest.request(url,true,data)){
		// Il y a une erreur. Afficher le message retourn
		alert ( buildRequest.get_text());			
	}else { 
		//alert ( buildRequest.get_text());
		parent.document.getElementById('req_code').value=buildRequest.get_text();
		parent.req_hideFrame();
	}
	return false;
}


//Recuperation de l'ordre des lignes de la table
function req_getOrder(tab_id, order_id){
	var tab = document.getElementById(tab_id);
	var tmp=new Array();
	var fr=getFirstRow(tab);
	cr=fr.nextSibling;
	var lr=getLastRow(tab);
	for(var i=0;i<lr.rowIndex;i++) {
		while(cr.rowIndex==null){
			cr=cr.nextSibling;
		}
		tmp[i]=cr.getAttribute('id').substring(2);
		cr=cr.nextSibling;
	}
	order=tmp.join('_');
	return order;
}

//Deplacement ligne vers le haut
function moveLineUp() {
	
	var cr=this.parentNode.parentNode;
	var tab=cr.parentNode;
	if (cr.rowIndex < 2) {
		tab.appendChild(cr);
	} else {
		var pr=cr.previousSibling;
		tab.insertBefore(cr, pr);
	}
	try {
		recalc_recept();
	} catch(err){} //drag_n_drop.js non implante
	return false;
}

//Deplacement ligne vers le bas
function moveLineDown() {

	var cr=this.parentNode.parentNode;
	var tab=cr.parentNode;
	
	//Recherche derniere ligne table
	var lr=getLastRow(tab);
	
	//Recherche premiere ligne table
	var fr=getFirstRow(tab);
	
	if (cr.rowIndex == lr.rowIndex) {
		var sr=fr.nextSibling;
		tab.insertBefore(cr,sr); 
	} else {
		var nr=cr.nextSibling;
		tab.insertBefore(nr,cr);
	}
	try {
		recalc_recept();
	} catch(err){} //drag_n_drop.js non implante
	return false;
}

function getFirstRow(tab){
	var fr=tab.firstChild;
	while(fr.rowIndex==null){
		fr=fr.nextSibling;
	}
	return fr;	
}

function getLastRow(tab){
	var lr=tab.lastChild;
	while(lr.rowIndex==null) {
		lr=lr.previousSibling;
	}
	return lr;
}

//Suppression noeuds fils
function req_removeChilds(elt) {
	while (elt.hasChildNodes()){
		req_removeChilds(elt.lastChild);
		if (elt.lastChild.nodeType=='1'){
			r_ids=elt.lastChild.getAttribute('r_ids');
			if (r_ids)req_hideJoin(r_ids);
		} 
		elt.removeChild(elt.lastChild);
	}
}

//Insertion d'un element deplace dans une cellule
function cell_cell(dragged,targetted) {

	var dragged_type=dragged.getAttribute('dragged_type');
	switch (dragged_type) {
		
		case 'FI':	//Champ
			var t_id=targetted.getAttribute('id');
			var t_=t_id.split('_');

			//Span conteneur
			var s=document.createElement('SPAN');

			//Champ info cache
			var hi=document.createElement('INPUT');
			hi.setAttribute('type','hidden');
			hi.setAttribute('id',t_[1]+'_'+t_[2]+'_FI');
			hi.setAttribute('name',t_[1]+'_'+t_[2]+'_FI');
			var d_id=dragged.getAttribute('dragged_id');
			var r_ids=req_showJoin(d_id);
			if (r_ids) hi.setAttribute('r_ids',r_ids);
			hi.value=d_id;

			//Champ info visible
			var vi=document.createTextNode(dragged.getAttribute('dragtext'));
			
			//Bouton effacer			
			var i=document.createElement('IMG');
			i.setAttribute('src',remove_icon);
			i.className='bt_cross_elt';
			i.onclick=req_clearCell;

			//Transfert
			s.appendChild(hi);
			s.appendChild(vi);
			s.appendChild(i);
			targetted.appendChild(s);
			targetted.removeAttribute('recepttype');
			
			//Maj drag_n_drop
			recalc_recept();
			cell_downlight(targetted);
			break;
			
		case 'FU':	//Fonction
			break;

		case 'SU':	//Sous requete
			break;

		case 'TE':	//Saisie libre
			var t_id=targetted.getAttribute('id');
			var t_=t_id.split('_');
			
			//Span conteneur
			var s=document.createElement('SPAN');
			
			//Champ info visible
			var vi=document.createElement('INPUT');
			vi.setAttribute('type','text');
			vi.setAttribute('id',t_[1]+'_'+t_[2]+'_TE');
			vi.setAttribute('name',t_[1]+'_'+t_[2]+'_TE');
			vi.className='in_cell';
			vi.value='';
			
			//Bouton effacer
			var i=document.createElement('IMG');
			i.setAttribute('src',remove_icon);
			i.className='bt_cross_elt';
			i.onclick=req_clearCell;

			//Transfert
			s.appendChild(vi);
			s.appendChild(i);
			targetted.appendChild(s);
			targetted.removeAttribute('recepttype');

			//Maj drag_n_drop
			recalc_recept();
			cell_downlight(targetted);
			
			//focus
			vi.focus();
			
			break;
		default:
			cell_downlight(targetted);
			break;
	}
	return false;
}

//Suppression Element
function req_clearCell(){
	var elt=this;
	while(elt.tagName != 'TD') {
		elt=elt.parentNode;
	}
	req_removeChilds(elt);	
	elt.setAttribute('recepttype','cell');
	return false;
}

//Calcul attribut relation et Affichage relation
function req_showJoin(id) {
	var tr_ids= new Array();
	var r_= id.split('_');						
	for (var i=0;i<r_.length;i++){
		if (r_[i].substring(0,1)=='R') {
			tr_ids[tr_ids.length]=r_[i];
			if(joi_link[r_[i]]) joi_link[r_[i]]++; else joi_link[r_[i]]=1;
			var tr=document.getElementById('JO_'+r_[i]);
			try {
				tr.style.display='table-row';
			} catch(err){
				tr.style.display='block';
			}
		}
	}
	return tr_ids.join('_');
}

//Suppression affichage relation
function req_hideJoin(id) {
	var r_= id.split('_');						
	for (var i=0;i<r_.length;i++){
		if(joi_link[r_[i]]) joi_link[r_[i]]--; else joi_link[r_[i]]=0;
		if(joi_link[r_[i]]==0){
			var tr=document.getElementById('JO_'+r_[i]);
			tr.style.display='none';
		}
	}
}


//Fonctions de drag and drop pour les lignes de table

//Insertion avant la ligne survolee
function row_row(dragged,targetted) {

	var tab=targetted.parentNode;
	tab.insertBefore(dragged,targetted);
	row_downlight(targetted);
	recalc_recept();
	return false;
}

//Mise en evidence ligne survolee
function row_highlight(obj) {

	obj.style.background="#CCC";
	return false;
}

//Extinction ligne survole
function row_downlight(obj) {

	obj.style.background="";
	return false;
}


////Fonctions de drag and drop pour les cellules de table

//Mise en evidence cellule survolee
function cell_highlight(obj) {

	obj.style.background="#CCC";
	return false;
}

//Extinction cellule survolee
function cell_downlight(obj) {

	obj.style.background="";
	return false;
}
