// +-------------------------------------------------+
//  2002-2004 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: rfid_categ.js,v 1.5 2008/02/13 08:55:15 ngantier Exp $

var f_empr_client;
var f_expl_client;
var f_ack_write;	
var f_ack_erase;
var f_ack_detect;
var f_ack_write_empr;
var f_ack_antivol_all;
var f_ack_antivol;
var flag_semaphore_rfid=0;
var flag_semaphore_rfid_read=0;
var flag_rfid_active=1;
var rfid_active_test=1;
var rfid_active_test_exec=0;

function init_rfid_read_cb(empr_client,expl_client){	
	f_empr_client=empr_client;
	f_expl_client=expl_client;
	// RFID init
	try {
		netscape.security.PrivilegeManager.enablePrivilege('UniversalBrowserRead');
	} catch (e) {
		alert(e);
	  	exit();
	}
	read_cb();
}

function timeout() {
	if(!flag_rfid_active_test) {
		flag_rfid_active=0;
		return;
	}	
}
function read_cb() {	
	if(!rfid_active_test_exec) {
		rfid_active_test_exec++;
		setTimeout('timeout()',4000);
	}
	if (flag_semaphore_rfid) {
		setTimeout('read_cb()',1500); 
		return;
	}	
	flag_rfid_active_test=0;
	flag_semaphore_rfid_read=1;
	netscape.security.PrivilegeManager.enablePrivilege('UniversalBrowserRead');
	proxies.RfidWebServices.Read.func = result_read_cb;
	proxies.RfidWebServices.Read(SerialPort);
}

function result_read_cb (retVal) {
	var i;
	var array_cb_expl=new Array();
	var array_cb_empr=new Array();
	flag_rfid_active_test=1;
	flag_rfid_active=1;
	// lecture de cb exemplaire
	if (retVal['astrDocumentIdentifiers']) {
		for (i=0; i<retVal['astrDocumentIdentifiers'].length; i++) {					
			array_cb_expl[i]=retVal['astrDocumentIdentifiers'][i];
		}
	}	
	// lecture de carte emprunteur
	if (retVal['astrPatronIdentifiers']) {				
		for (i=0; i<retVal['astrPatronIdentifiers'].length; i++) {				
			array_cb_empr[i]=retVal['astrPatronIdentifiers'][i];
		}	
	}	
	if(f_expl_client)	f_expl_client(array_cb_expl);
	if(f_empr_client)	f_empr_client(array_cb_empr);
	setTimeout('read_cb()',1500);
	flag_semaphore_rfid_read=0;
}

// Detect le nombre d'lement rfid
function init_rfid_detect(ack_detect) {
	if(!flag_rfid_active) return;
	f_ack_detect=ack_detect;
	netscape.security.PrivilegeManager.enablePrivilege('UniversalBrowserRead');
	proxies.RfidWebServices.DetectTag.func = result_detect;
	proxies.RfidWebServices.DetectTag(SerialPort);    
}	
function result_detect(retVal) {
	if(f_ack_detect)f_ack_detect(retVal['bOneOrMoreTagsDetected']);
}

// Efface tout !!!
function init_rfid_erase(ack_erase) {
	f_ack_erase=ack_erase;
	netscape.security.PrivilegeManager.enablePrivilege('UniversalBrowserRead');
	proxies.RfidWebServices.EraseAllTags.func = result_erase;
	proxies.RfidWebServices.EraseAllTags(SerialPort);    
}	
function result_erase(retVal) {
	if(f_ack_erase)f_ack_erase(retVal['EraseAllTagsResult']);
}
	
// Programme une tiquette
function init_rfid_write_etiquette (cb,ack_write) {
	if(!flag_rfid_active) return;
	f_ack_write=ack_write;
	netscape.security.PrivilegeManager.enablePrivilege('UniversalBrowserRead');
	proxies.RfidWebServices.WriteDocument.func = result_write;
	proxies.RfidWebServices.WriteDocument(SerialPort,cb,1);         
}
function result_write(retVal) {
	if(f_ack_write)f_ack_write(retVal['byNumberOfTags']);
}  
  
// Programme une carte lecteur
function init_rfid_write_empr (cb,ack_write) {
	if(!flag_rfid_active) return;
	f_ack_write_empr=ack_write;
	netscape.security.PrivilegeManager.enablePrivilege('UniversalBrowserRead');
	proxies.RfidWebServices.WritePatron.func = result_write_empr;
	proxies.RfidWebServices.WritePatron(SerialPort,cb);         
}  
function result_write_empr(retVal) {
	if(f_ack_write_empr)f_ack_write_empr(retVal['WritePatronResult']);
}     

// Active / dsactive un antivol
function init_rfid_antivol (cb,level,ack_antivol) {
	if(!flag_rfid_active) return;
	f_ack_antivol=ack_antivol;
	netscape.security.PrivilegeManager.enablePrivilege('UniversalBrowserRead');
	proxies.RfidWebServices.SetEas.func = result_ack_antivol;
	proxies.RfidWebServices.SetEas(SerialPort,cb,level);         
}  
function result_ack_antivol(retVal) {
	if(f_ack_antivol)f_ack_antivol(retVal['SetEasResult']);
}  

// Active / dsactive tous les antivols
function init_rfid_antivol_all (level,ack_antivol) {
	f_ack_antivol_all=ack_antivol;
	netscape.security.PrivilegeManager.enablePrivilege('UniversalBrowserRead');
	proxies.RfidWebServices.SetAllEas.func = result_ack_antivol_all;
	proxies.RfidWebServices.SetAllEas(SerialPort,level);         
}  
function result_ack_antivol_all(retVal) {
	if(f_ack_antivol_all)f_ack_antivol_all(retVal['SetAllEasResult']);
}      
 
//Getinfo
function init_rfid_GetInfo() {
	netscape.security.PrivilegeManager.enablePrivilege('UniversalBrowserRead');
	proxies.RfidWebServices.GetInfo.func = result_GetInfo;
	proxies.RfidWebServices.GetInfo(SerialPort);    
}	
function result_GetInfo(retVal) {
	var i, info;
	info='';
	for (i=0; i<retVal['astrReturnInfos'].length; i++) {
		info+=retVal['astrReturnInfos'][i] + '\n';
	}
	alert (info);
}   
          