-- Fichiers de dmarrage d'une base PMB 
-- 26/05/2008 14:30:32,19 
--  
--  
--  
INSERT INTO caddie (idcaddie, name, type, comment, autorisations) VALUES (1,'Notices pour exposition','NOTI','Placer dans ce panier les notices de l\'expo virtuelle','1 2');
INSERT INTO caddie (idcaddie, name, type, comment, autorisations) VALUES (2,'Notices pour retour BDP','NOTI','Remplir ce panier  l\'issue du pointage des exemplaires en retour','1 2');
INSERT INTO caddie (idcaddie, name, type, comment, autorisations) VALUES (3,'Exemplaires pour retour BDP','EXPL','Placer dans ce panier les exemplaires de documents  rendre  la BDP','1 2');
INSERT INTO caddie (idcaddie, name, type, comment, autorisations) VALUES (4,'Notices en doublons sur titre','NOTI','Doublons sur le premier titre','1 2');
INSERT INTO caddie (idcaddie, name, type, comment, autorisations) VALUES (8,'Exemple de panier d\'exemplaires','EXPL','','1 4 3 2');
INSERT INTO caddie (idcaddie, name, type, comment, autorisations) VALUES (5,'Loire - Notices pour thme du mois','NOTI','','1 4');
INSERT INTO caddie (idcaddie, name, type, comment, autorisations) VALUES (6,'Loire - Bulletins contenant des articles pour expo mois','BULL','','1 4');
INSERT INTO caddie (idcaddie, name, type, comment, autorisations) VALUES (7,'Cochon - notices pour exposition mois prochain','NOTI','','1');
INSERT INTO caddie_procs (idproc, type, name, requete, comment, autorisations, parameters) VALUES (1,'SELECT','Notices par auteur','SELECT notice_id as object_id, \'NOTI\' as object_type FROM notices, authors, responsability WHERE author_name like \'%!!critere!!%\' AND author_id=responsability_author AND notice_id=responsability_notice\r\n','Slection des notices dont le nom de l\'auteur contient certaines lettres','1 2 3','<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<FIELDS>\n <FIELD NAME=\"critere\" MANDATORY=\"yes\">\n  <ALIAS><![CDATA[Caractres contenus dans le nom]]></ALIAS>\n  <TYPE>text</TYPE>\n<OPTIONS FOR=\"text\">\r\n <SIZE>25</SIZE>\r\n <MAXSIZE>25</MAXSIZE>\r\n</OPTIONS>\n </FIELD>\n</FIELDS>');
INSERT INTO caddie_procs (idproc, type, name, requete, comment, autorisations, parameters) VALUES (2,'SELECT','Notices en doublons','create TEMPORARY TABLE tmp SELECT tit1 FROM notices GROUP BY tit1 HAVING count(*)>1\r\nSELECT notice_id as object_id, \'NOTI\' as object_type FROM notices, tmp wHERE notices.tit1=tmp.tit1','Slection des notices en doublons sur le premier titre','1 2 3',NULL);
INSERT INTO caddie_procs (idproc, type, name, requete, comment, autorisations, parameters) VALUES (3,'SELECT','EXPL par section / propritaire','select expl_id as object_id, \'EXPL\' as object_type from exemplaires where expl_section in (!!section!!) and expl_owner=!!proprio!!','Slection d\'exemplaires par section par propritaire','1 2','<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<FIELDS>\n <FIELD NAME=\"section\" MANDATORY=\"yes\">\n  <ALIAS><![CDATA[Section]]></ALIAS>\n  <TYPE>query_list</TYPE>\n<OPTIONS FOR=\"query_list\">\r\n <QUERY><![CDATA[select idsection, section_libelle from docs_section order by section_libelle]]></QUERY>\r\n <MULTIPLE>yes</MULTIPLE>\r\n <UNSELECT_ITEM VALUE=\"\"><![CDATA[]]></UNSELECT_ITEM>\r\n</OPTIONS>\n </FIELD>\n <FIELD NAME=\"proprio\" MANDATORY=\"yes\">\n  <ALIAS><![CDATA[Propritaire]]></ALIAS>\n  <TYPE>query_list</TYPE>\n<OPTIONS FOR=\"query_list\">\r\n <QUERY>select idlender, lender_libelle from lenders order by lender_libelle</QUERY>\r\n <MULTIPLE>no</MULTIPLE>\r\n <UNSELECT_ITEM VALUE=\"\"></UNSELECT_ITEM>\r\n</OPTIONS>\n </FIELD>\n</FIELDS>');
INSERT INTO caddie_procs (idproc, type, name, requete, comment, autorisations, parameters) VALUES (4,'SELECT','EXPL o cote commence par','select expl_id as object_id, \'EXPL\' as object_type from exemplaires where expl_cote like \'!!comme_cote!!%\'','Slection d\'exemplaire  partir du dbut de cote','1 2','<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<FIELDS>\n <FIELD NAME=\"comme_cote\" MANDATORY=\"no\">\n  <ALIAS><![CDATA[Dbut de la cote]]></ALIAS>\n  <TYPE>text</TYPE>\n<OPTIONS FOR=\"text\">\r\n <SIZE>20</SIZE>\r\n <MAXSIZE>20</MAXSIZE>\r\n</OPTIONS> \n </FIELD>\n</FIELDS>');
INSERT INTO caddie_procs (idproc, type, name, requete, comment, autorisations, parameters) VALUES (5,'ACTION','Changement de statut des exemplaires','update exemplaires set expl_statut=!!nouveau_statut!! where expl_id in (CADDIE(EXPL))','Permet de changer le statut des exemplaires d\'un panier','1 4 3 2','<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<FIELDS>\n <FIELD NAME=\"nouveau_statut\" MANDATORY=\"yes\">\n  <ALIAS><![CDATA[nouveau_statut]]></ALIAS>\n  <TYPE>query_list</TYPE>\n<OPTIONS FOR=\"query_list\">\r\n <QUERY>SELECT idstatut, statut_libelle FROM docs_statut</QUERY>\r\n <MULTIPLE>no</MULTIPLE>\r\n <UNSELECT_ITEM VALUE=\"\"></UNSELECT_ITEM>\r\n</OPTIONS>\n </FIELD>\n</FIELDS>');
INSERT INTO caddie_procs (idproc, type, name, requete, comment, autorisations, parameters) VALUES (6,'SELECT','Jamais prts','SELECT expl_id as object_id, \'EXPL\' as object_type, concat(\"LIVRE \",tit1) as Titre FROM notices join exemplaires on expl_notice=notice_id LEFT JOIN pret_archive ON arc_expl_notice = notice_id where arc_expl_id IS NULL AND expl_id IS NOT NULL UNION SELECT expl_id as object_id, \'EXPL\' as object_type, concat(\"PERIO \",tit1, \" Numro : \",bulletin_numero) as Titre FROM (bulletins INNER JOIN notices ON bulletins.bulletin_notice = notices.notice_id) INNER JOIN exemplaires on expl_bulletin=bulletin_id LEFT JOIN pret_archive ON expl_id = arc_expl_id WHERE pret_archive.arc_id Is Null','Ajoute dans un panier les exemplaires jamais prts','1 2',NULL);
INSERT INTO caddie_procs (idproc, type, name, requete, comment, autorisations, parameters) VALUES (7,'SELECT','Slection d\'exemplaires par statut','select expl_id as object_id, \'EXPL\' as object_type from exemplaires where expl_statut in (!!statut!!)','','1 2','<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<FIELDS>\n <FIELD NAME=\"statut\" MANDATORY=\"yes\">\n  <ALIAS><![CDATA[statut]]></ALIAS>\n  <TYPE>query_list</TYPE>\n<OPTIONS FOR=\"query_list\">\r\n <QUERY><![CDATA[select idstatut, statut_libelle from docs_statut]]></QUERY>\r\n <MULTIPLE>no</MULTIPLE>\r\n <UNSELECT_ITEM VALUE=\"\"><![CDATA[]]></UNSELECT_ITEM>\r\n</OPTIONS>\n </FIELD>\n</FIELDS>');
INSERT INTO caddie_procs (idproc, type, name, requete, comment, autorisations, parameters) VALUES (8,'SELECT','Slection d\'exemplaires par localisation, section, statut, propritaire','select expl_id as object_id, \'EXPL\' as object_type from exemplaires where expl_section in (!!section!!) and expl_location in (!!location!!) and expl_statut in (!!statut!!) and expl_owner=!!proprio!!  ','','1 2','<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<FIELDS>\n <FIELD NAME=\"section\" MANDATORY=\"yes\">\n  <ALIAS><![CDATA[Section]]></ALIAS>\n  <TYPE>query_list</TYPE>\n<OPTIONS FOR=\"query_list\">\r\n <QUERY><![CDATA[select idsection, section_libelle from docs_section order by 2]]></QUERY>\r\n <MULTIPLE>yes</MULTIPLE>\r\n <UNSELECT_ITEM VALUE=\"\"><![CDATA[]]></UNSELECT_ITEM>\r\n</OPTIONS>\n </FIELD>\n <FIELD NAME=\"location\" MANDATORY=\"yes\">\n  <ALIAS><![CDATA[Localisation]]></ALIAS>\n  <TYPE>query_list</TYPE>\n<OPTIONS FOR=\"query_list\">\r\n <QUERY><![CDATA[select idlocation, location_libelle from docs_location order by 2]]></QUERY>\r\n <MULTIPLE>yes</MULTIPLE>\r\n <UNSELECT_ITEM VALUE=\"\"><![CDATA[]]></UNSELECT_ITEM>\r\n</OPTIONS>\n </FIELD>\n <FIELD NAME=\"statut\" MANDATORY=\"yes\">\n  <ALIAS><![CDATA[Statut]]></ALIAS>\n  <TYPE>query_list</TYPE>\n<OPTIONS FOR=\"query_list\">\r\n <QUERY><![CDATA[select idstatut, statut_libelle from docs_statut order by 2]]></QUERY>\r\n <MULTIPLE>yes</MULTIPLE>\r\n <UNSELECT_ITEM VALUE=\"\"><![CDATA[]]></UNSELECT_ITEM>\r\n</OPTIONS>\n </FIELD>\n <FIELD NAME=\"proprio\" MANDATORY=\"yes\">\n  <ALIAS><![CDATA[Propritaire]]></ALIAS>\n  <TYPE>query_list</TYPE>\n<OPTIONS FOR=\"query_list\">\r\n <QUERY><![CDATA[select idlender, lender_libelle from lenders order by 2]]></QUERY>\r\n <MULTIPLE>no</MULTIPLE>\r\n <UNSELECT_ITEM VALUE=\"\"><![CDATA[]]></UNSELECT_ITEM>\r\n</OPTIONS>\n </FIELD>\n</FIELDS>');
INSERT INTO caddie_procs (idproc, type, name, requete, comment, autorisations, parameters) VALUES (9,'ACTION','Changement de section des exemplaires','update exemplaires set expl_section=!!nouvelle_section!! where expl_id in (CADDIE(EXPL))','','1 4 3 2','<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<FIELDS>\n <FIELD NAME=\"nouvelle_section\" MANDATORY=\"yes\">\n  <ALIAS><![CDATA[nouvelle section]]></ALIAS>\n  <TYPE>query_list</TYPE>\n<OPTIONS FOR=\"query_list\">\r\n <QUERY><![CDATA[select * from docs_section order by section_libelle]]></QUERY>\r\n <MULTIPLE>no</MULTIPLE>\r\n <UNSELECT_ITEM VALUE=\"\"><![CDATA[Choisissez une section]]></UNSELECT_ITEM>\r\n</OPTIONS>\n </FIELD>\n</FIELDS>');
INSERT INTO docs_codestat (idcode, codestat_libelle, statisdoc_codage_import, statisdoc_owner) VALUES (10,'Indtermin','u',0);
INSERT INTO docs_codestat (idcode, codestat_libelle, statisdoc_codage_import, statisdoc_owner) VALUES (11,'Jeunes','j',0);
INSERT INTO docs_codestat (idcode, codestat_libelle, statisdoc_codage_import, statisdoc_owner) VALUES (12,'Adultes','a',0);
INSERT INTO docs_location (idlocation, location_libelle, locdoc_codage_import, locdoc_owner, location_pic, location_visible_opac, name, adr1, adr2, cp, town, state, country, phone, email, website, logo, logosmall, commentaire) VALUES (1,'Bibliothque principale','',2,'images/site/bib_princ.jpg',1,'Bibliothque test de PMB','PMB Services','24 & 26, place des Halles','72500','CHATEAU DU LOIR','','France','02 43 440 660','pmb@sigb.net','http://www.sigb.net/','logo_default.jpg','logo_default_small.jpg','');
INSERT INTO docs_location (idlocation, location_libelle, locdoc_codage_import, locdoc_owner, location_pic, location_visible_opac, name, adr1, adr2, cp, town, state, country, phone, email, website, logo, logosmall, commentaire) VALUES (2,'Rserve','',2,'',0,'Bibliothque test de PMB','','','','','','','','pmb@sigb.net','http://www.sigb.net','logo_default.jpg','logo_default_small.jpg','');
INSERT INTO docs_location (idlocation, location_libelle, locdoc_codage_import, locdoc_owner, location_pic, location_visible_opac, name, adr1, adr2, cp, town, state, country, phone, email, website, logo, logosmall, commentaire) VALUES (7,'Bibliobus','',2,'images/site/bibliobus.jpg',1,'Bibliothque test de PMB','rue de la culture','','72500','Chteau du loir','','France','02 43 440 660','pmb@sigb.net','http://www.sigb.net','logo_default.jpg','logo_default_small.jpg','');
INSERT INTO docs_section (idsection, section_libelle, sdoc_codage_import, sdoc_owner, section_pic, section_visible_opac) VALUES (10,'Documentaires','',2,'images/site/documentaire.jpg',1);
INSERT INTO docs_section (idsection, section_libelle, sdoc_codage_import, sdoc_owner, section_pic, section_visible_opac) VALUES (11,'Documentaires Enfants','',2,'images/site/documentaire.jpg',1);
INSERT INTO docs_section (idsection, section_libelle, sdoc_codage_import, sdoc_owner, section_pic, section_visible_opac) VALUES (12,'Romans Enfants','',2,'images/site/enfants.jpg',1);
INSERT INTO docs_section (idsection, section_libelle, sdoc_codage_import, sdoc_owner, section_pic, section_visible_opac) VALUES (13,'Romans Jeunes','',2,'images/site/sec3.jpg',1);
INSERT INTO docs_section (idsection, section_libelle, sdoc_codage_import, sdoc_owner, section_pic, section_visible_opac) VALUES (16,'Bande-dessine Adultes','',2,'images/site/sec1.jpg',1);
INSERT INTO docs_section (idsection, section_libelle, sdoc_codage_import, sdoc_owner, section_pic, section_visible_opac) VALUES (17,'Bande-dessine Enfants','',2,'images/site/enfants.jpg',1);
INSERT INTO docs_section (idsection, section_libelle, sdoc_codage_import, sdoc_owner, section_pic, section_visible_opac) VALUES (18,'H (Histoire locale)','',2,'images/site/histoire.jpg',1);
INSERT INTO docs_section (idsection, section_libelle, sdoc_codage_import, sdoc_owner, section_pic, section_visible_opac) VALUES (19,'FR (Fonds Rgional)','',2,'images/site/sec4.jpg',1);
INSERT INTO docs_section (idsection, section_libelle, sdoc_codage_import, sdoc_owner, section_pic, section_visible_opac) VALUES (20,'Bande-dessine Jeunes','',2,'images/site/sec3.jpg',1);
INSERT INTO docs_section (idsection, section_libelle, sdoc_codage_import, sdoc_owner, section_pic, section_visible_opac) VALUES (21,'Romans policiers','',2,'images/site/sec1.jpg',1);
INSERT INTO docs_section (idsection, section_libelle, sdoc_codage_import, sdoc_owner, section_pic, section_visible_opac) VALUES (23,'Romans Large vue','',2,'images/site/large_vue.jpg',1);
INSERT INTO docs_section (idsection, section_libelle, sdoc_codage_import, sdoc_owner, section_pic, section_visible_opac) VALUES (24,'Romans & Romans trangers','',2,'images/site/sec1.jpg',1);
INSERT INTO docs_section (idsection, section_libelle, sdoc_codage_import, sdoc_owner, section_pic, section_visible_opac) VALUES (25,'Documentaires Jeunes','',2,'images/site/documentaire.jpg',1);
INSERT INTO docs_section (idsection, section_libelle, sdoc_codage_import, sdoc_owner, section_pic, section_visible_opac) VALUES (26,'Albums Enfants','',2,'images/site/enfants.jpg',1);
INSERT INTO docs_statut (idstatut, statut_libelle, pret_flag, statusdoc_codage_import, statusdoc_owner) VALUES (1,'Document en bon tat',1,'',0);
INSERT INTO docs_statut (idstatut, statut_libelle, pret_flag, statusdoc_codage_import, statusdoc_owner) VALUES (2,'En cours d\'import/saisie',0,'',0);
INSERT INTO docs_statut (idstatut, statut_libelle, pret_flag, statusdoc_codage_import, statusdoc_owner) VALUES (11,'Dtrior',0,'',0);
INSERT INTO docs_statut (idstatut, statut_libelle, pret_flag, statusdoc_codage_import, statusdoc_owner) VALUES (12,'Perdu',0,'',0);
INSERT INTO docs_statut (idstatut, statut_libelle, pret_flag, statusdoc_codage_import, statusdoc_owner) VALUES (13,'Consultation sur place',0,'',0);
INSERT INTO docs_statut (idstatut, statut_libelle, pret_flag, statusdoc_codage_import, statusdoc_owner) VALUES (14,'En dpt',0,'',0);
INSERT INTO docs_type (idtyp_doc, tdoc_libelle, duree_pret, duree_resa, tdoc_owner, tdoc_codage_import, tarif_pret) VALUES (1,'Livre',14,15,2,'','0.00');
INSERT INTO docs_type (idtyp_doc, tdoc_libelle, duree_pret, duree_resa, tdoc_owner, tdoc_codage_import, tarif_pret) VALUES (12,'Cassette vido',14,15,2,'','0.00');
INSERT INTO docs_type (idtyp_doc, tdoc_libelle, duree_pret, duree_resa, tdoc_owner, tdoc_codage_import, tarif_pret) VALUES (13,'CD audio',14,15,2,'','0.00');
INSERT INTO docs_type (idtyp_doc, tdoc_libelle, duree_pret, duree_resa, tdoc_owner, tdoc_codage_import, tarif_pret) VALUES (14,'DVD',5,15,2,'','0.00');
INSERT INTO docs_type (idtyp_doc, tdoc_libelle, duree_pret, duree_resa, tdoc_owner, tdoc_codage_import, tarif_pret) VALUES (15,'Oeuvre d\'art',5,15,2,'','0.00');
INSERT INTO docs_type (idtyp_doc, tdoc_libelle, duree_pret, duree_resa, tdoc_owner, tdoc_codage_import, tarif_pret) VALUES (16,'Cartes et plans',31,15,2,'','0.00');
INSERT INTO docs_type (idtyp_doc, tdoc_libelle, duree_pret, duree_resa, tdoc_owner, tdoc_codage_import, tarif_pret) VALUES (17,'Cdroms',10,5,2,'','0.00');
INSERT INTO docs_type (idtyp_doc, tdoc_libelle, duree_pret, duree_resa, tdoc_owner, tdoc_codage_import, tarif_pret) VALUES (18,'Priodique',8,5,0,'','0.00');
INSERT INTO docsloc_section (num_section, num_location) VALUES (10,1);
INSERT INTO docsloc_section (num_section, num_location) VALUES (10,7);
INSERT INTO docsloc_section (num_section, num_location) VALUES (11,1);
INSERT INTO docsloc_section (num_section, num_location) VALUES (11,7);
INSERT INTO docsloc_section (num_section, num_location) VALUES (12,1);
INSERT INTO docsloc_section (num_section, num_location) VALUES (12,7);
INSERT INTO docsloc_section (num_section, num_location) VALUES (13,1);
INSERT INTO docsloc_section (num_section, num_location) VALUES (13,7);
INSERT INTO docsloc_section (num_section, num_location) VALUES (16,1);
INSERT INTO docsloc_section (num_section, num_location) VALUES (16,7);
INSERT INTO docsloc_section (num_section, num_location) VALUES (17,1);
INSERT INTO docsloc_section (num_section, num_location) VALUES (17,7);
INSERT INTO docsloc_section (num_section, num_location) VALUES (18,1);
INSERT INTO docsloc_section (num_section, num_location) VALUES (18,7);
INSERT INTO docsloc_section (num_section, num_location) VALUES (19,1);
INSERT INTO docsloc_section (num_section, num_location) VALUES (19,7);
INSERT INTO docsloc_section (num_section, num_location) VALUES (20,1);
INSERT INTO docsloc_section (num_section, num_location) VALUES (20,7);
INSERT INTO docsloc_section (num_section, num_location) VALUES (21,1);
INSERT INTO docsloc_section (num_section, num_location) VALUES (21,7);
INSERT INTO docsloc_section (num_section, num_location) VALUES (23,1);
INSERT INTO docsloc_section (num_section, num_location) VALUES (23,7);
INSERT INTO docsloc_section (num_section, num_location) VALUES (24,1);
INSERT INTO docsloc_section (num_section, num_location) VALUES (24,7);
INSERT INTO docsloc_section (num_section, num_location) VALUES (25,1);
INSERT INTO docsloc_section (num_section, num_location) VALUES (25,7);
INSERT INTO docsloc_section (num_section, num_location) VALUES (26,1);
INSERT INTO docsloc_section (num_section, num_location) VALUES (26,7);
INSERT INTO empr_categ (id_categ_empr, libelle, duree_adhesion, tarif_abt) VALUES (1,'Enfants',365,'0.00');
INSERT INTO empr_categ (id_categ_empr, libelle, duree_adhesion, tarif_abt) VALUES (2,'Retrait',365,'0.00');
INSERT INTO empr_categ (id_categ_empr, libelle, duree_adhesion, tarif_abt) VALUES (3,'Employs',365,'0.00');
INSERT INTO empr_categ (id_categ_empr, libelle, duree_adhesion, tarif_abt) VALUES (4,'Sans emploi',365,'0.00');
INSERT INTO empr_categ (id_categ_empr, libelle, duree_adhesion, tarif_abt) VALUES (5,'Lycens/tudiants',365,'0.00');
INSERT INTO empr_categ (id_categ_empr, libelle, duree_adhesion, tarif_abt) VALUES (6,'Collgiens',365,'0.00');
INSERT INTO empr_categ (id_categ_empr, libelle, duree_adhesion, tarif_abt) VALUES (7,'Adultes',365,'0.00');
INSERT INTO empr_codestat (idcode, libelle) VALUES (2,'Communaut de Communes');
INSERT INTO empr_codestat (idcode, libelle) VALUES (3,'Commune');
INSERT INTO empr_codestat (idcode, libelle) VALUES (4,'Dpartement');
INSERT INTO empr_codestat (idcode, libelle) VALUES (5,'Europe');
INSERT INTO empr_codestat (idcode, libelle) VALUES (6,'Hors europe');
INSERT INTO empr_codestat (idcode, libelle) VALUES (7,'France');
INSERT INTO etagere (idetagere, name, comment, validite, validite_date_deb, validite_date_fin, visible_accueil, autorisations) VALUES (3,'Loire','Exposition virtuelle sur la Loire',1,'0000-00-00','0000-00-00',1,'1 4 3 2');
INSERT INTO etagere_caddie (etagere_id, caddie_id) VALUES (3,5);
INSERT INTO lenders (idlender, lender_libelle) VALUES (1,'BDP');
INSERT INTO lenders (idlender, lender_libelle) VALUES (2,'Fonds propre');
INSERT INTO procs (idproc, name, requete, comment, autorisations, parameters, num_classement) VALUES (1,'Liste exemplaires / statut','select expl_cote as Cote, expl_cb as \"Code-barres\", CASE WHEN expl_notice>0 THEN concat(CASE WHEN serie_name IS NOT NULL THEN CONCAT(serie_name, \" : \") ELSE \"\" END, n1.tit1) ELSE CONCAT(n2.tit1,\" \",bulletin_numero,\" \") END as Titre from exemplaires left join notices n1 on expl_notice=n1.notice_id left join series on n1.tparent_id=serie_id left join bulletins on expl_bulletin=bulletin_id left join notices n2 on bulletin_notice=n2.notice_id where expl_statut=!!param1!! order by expl_cote','Liste paramtre d\'exemplaires par statut ','1 4 3 2','<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<FIELDS>\n <FIELD NAME=\"param1\" MANDATORY=\"yes\">\n  <ALIAS><![CDATA[Statut]]></ALIAS>\n  <TYPE>query_list</TYPE>\n<OPTIONS FOR=\"query_list\">\r\n <QUERY><![CDATA[select idstatut,statut_libelle from docs_statut]]></QUERY>\r\n <MULTIPLE>no</MULTIPLE>\r\n <UNSELECT_ITEM VALUE=\"\"><![CDATA[Choisissez un statut]]></UNSELECT_ITEM>\r\n</OPTIONS>\n </FIELD>\n</FIELDS>',0);
INSERT INTO procs (idproc, name, requete, comment, autorisations, parameters, num_classement) VALUES (2,'Comptage exemplaires / statut','select statut_libelle as Statut, count(*) as Nombre from exemplaires, docs_statut where idstatut=expl_statut group by statut_libelle order by idstatut','Nombre d\'exemplaires par statut d\'exemplaire','1 4 3 2',NULL,0);
INSERT INTO procs (idproc, name, requete, comment, autorisations, parameters, num_classement) VALUES (3,'Comptage  exemplaires / propritaire / statut','select lender_libelle as Propritaire, statut_libelle as Statut, count(*) as Nombre from exemplaires, lenders, docs_statut where expl_owner=idlender and expl_statut=idstatut group by lender_libelle,statut_libelle order by lender_libelle,statut_libelle ','Nombre d\'exemplaires par propritaire et par statut d\'exemplaire','1 4 3 2',NULL,0);
INSERT INTO procs (idproc, name, requete, comment, autorisations, parameters, num_classement) VALUES (4,'Liste exemplaires d\'un propritaire / statut','select lender_libelle as Propritaire, statut_libelle as Statut, expl_cote as Cote, expl_cb as \"Code-barres\", CASE WHEN expl_notice>0 THEN concat(CASE WHEN serie_name IS NOT NULL THEN CONCAT(serie_name, \" : \") ELSE \"\" END, n1.tit1) ELSE CONCAT(n2.tit1,\" \",bulletin_numero,\" \") END as Titre from docs_statut, lenders, exemplaires left join notices n1 on expl_notice=n1.notice_id left join series on n1.tparent_id=serie_id left join bulletins on expl_bulletin=bulletin_id left join notices n2 on bulletin_notice=n2.notice_id where expl_statut=!!statut!! and expl_owner=!!Proprietaire!! and expl_statut=idstatut and expl_owner=idlender order by lender_libelle, statut_libelle, expl_cote, expl_cb ','Liste d\'exemplaires d\'un propritaire par statut, cote, code-barre, titre (pratique pour lister les documents non points aprs l\'import)','1 4 3 2','<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<FIELDS>\n <FIELD NAME=\"statut\" MANDATORY=\"yes\">\n  <ALIAS><![CDATA[Statut]]></ALIAS>\n  <TYPE>query_list</TYPE>\n<OPTIONS FOR=\"query_list\">\r\n <QUERY>select idstatut, statut_libelle from docs_statut</QUERY>\r\n <MULTIPLE>no</MULTIPLE>\r\n <UNSELECT_ITEM VALUE=\"\"></UNSELECT_ITEM>\r\n</OPTIONS>\n </FIELD>\n <FIELD NAME=\"Proprietaire\" MANDATORY=\"yes\">\n  <ALIAS><![CDATA[Proprietaire]]></ALIAS>\n  <TYPE>query_list</TYPE>\n<OPTIONS FOR=\"query_list\">\r\n <QUERY>select idlender, lender_libelle from lenders</QUERY>\r\n <MULTIPLE>no</MULTIPLE>\r\n <UNSELECT_ITEM VALUE=\"\"></UNSELECT_ITEM>\r\n</OPTIONS>\n </FIELD>\n</FIELDS>',0);
INSERT INTO procs (idproc, name, requete, comment, autorisations, parameters, num_classement) VALUES (5,'Comptage exemplaires / section','select section_libelle as Section, count(*) as Nombre from exemplaires, docs_section where idsection=expl_section group by idsection, section_libelle order by idsection','Nombre d\'exemplaires par section','1 4 3 2',NULL,0);
INSERT INTO procs (idproc, name, requete, comment, autorisations, parameters, num_classement) VALUES (6,'Liste exemplaires pour une ou plusieurs sections par propritaire','select section_libelle as Section, expl_cote as Cote, expl_cb as \"Code-barres\", CASE WHEN expl_notice>0 THEN concat(CASE WHEN serie_name IS NOT NULL THEN CONCAT(serie_name, \" : \") ELSE \"\" END, n1.tit1) ELSE CONCAT(n2.tit1,\" \",bulletin_numero,\" \") END as Titre from docs_section, lenders, exemplaires left join notices n1 on expl_notice=n1.notice_id left join series on n1.tparent_id=serie_id left join bulletins on expl_bulletin=bulletin_id left join notices n2 on bulletin_notice=n2.notice_id where idsection in (!!sections!!) and expl_owner=!!preteur!! and expl_section=idsection and expl_owner=idlender order by section_libelle, expl_cote, expl_cb ','Liste des exemplaires ayant une ou plusieurs sections particulires pour un prteur','1 4 3 2','<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<FIELDS>\n <FIELD NAME=\"sections\" MANDATORY=\"yes\">\n  <ALIAS><![CDATA[Section(s)]]></ALIAS>\n  <TYPE>query_list</TYPE>\n<OPTIONS FOR=\"query_list\">\r\n <QUERY><![CDATA[select idsection, section_libelle from docs_section]]></QUERY>\r\n <MULTIPLE>yes</MULTIPLE>\r\n <UNSELECT_ITEM VALUE=\"\"><![CDATA[]]></UNSELECT_ITEM>\r\n</OPTIONS>\n </FIELD>\n <FIELD NAME=\"preteur\" MANDATORY=\"yes\">\n  <ALIAS><![CDATA[Prteur]]></ALIAS>\n  <TYPE>query_list</TYPE>\n<OPTIONS FOR=\"query_list\">\r\n <QUERY><![CDATA[select idlender, lender_libelle from lenders order by idlender]]></QUERY>\r\n <MULTIPLE>no</MULTIPLE>\r\n <UNSELECT_ITEM VALUE=\"\"><![CDATA[Choisissez un prteur]]></UNSELECT_ITEM>\r\n</OPTIONS>\n </FIELD>\n</FIELDS>',0);
INSERT INTO procs (idproc, name, requete, comment, autorisations, parameters, num_classement) VALUES (7,'Stat : Compte exemplaires / propritaire','select lender_libelle as Propritaire, count(*) as Nombre from exemplaires, lenders where idlender=expl_owner group by expl_owner, lender_libelle','Nbre d\'exemplaires par propritaire d\'exemplaire','1 4 3 2',NULL,0);
INSERT INTO procs (idproc, name, requete, comment, autorisations, parameters, num_classement) VALUES (8,'Liste exemplaires pour un propritaire','select expl_cote as Cote, expl_cb as \"Code-barres\", CASE WHEN expl_notice>0 THEN concat(CASE WHEN serie_name IS NOT NULL THEN CONCAT(serie_name, \" : \") ELSE \"\" END, n1.tit1) ELSE CONCAT(n2.tit1,\" \",bulletin_numero,\" \") END as Titre from docs_statut, lenders, exemplaires left join notices n1 on expl_notice=n1.notice_id left join series on n1.tparent_id=serie_id left join bulletins on expl_bulletin=bulletin_id left join notices n2 on bulletin_notice=n2.notice_id where expl_owner=!!proprietaire!! and expl_statut=idstatut and expl_owner=idlender order by  expl_cote, expl_cb ','Liste des exemplaires pour un propritaire tri par cote et code-barre','1 4 3 2','<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<FIELDS>\n <FIELD NAME=\"proprietaire\" MANDATORY=\"yes\">\n  <ALIAS><![CDATA[Propritaire]]></ALIAS>\n  <TYPE>query_list</TYPE>\n<OPTIONS FOR=\"query_list\">\r\n <QUERY>select idlender, lender_libelle from lenders order by idlender</QUERY>\r\n <MULTIPLE>no</MULTIPLE>\r\n <UNSELECT_ITEM VALUE=\"\">Choisissez un prteur</UNSELECT_ITEM>\r\n</OPTIONS>\n </FIELD>\n</FIELDS>',0);
INSERT INTO procs (idproc, name, requete, comment, autorisations, parameters, num_classement) VALUES (9,'Comptage lecteurs / catgorie','select libelle as Catgorie, count(*) as \'Nombre lecteurs\' from empr, empr_categ where id_categ_empr=empr_categ group by libelle order by libelle','Nombre de lecteurs par catgorie','1 4 3 2',NULL,0);
INSERT INTO procs (idproc, name, requete, comment, autorisations, parameters, num_classement) VALUES (10,'Liste lecteurs / catgories','select libelle as Catgorie, empr_nom as Nom, empr_prenom as Prnom, empr_year as \"Anne de naissance\" from empr, empr_categ where id_categ_empr=empr_categ order by libelle, empr_nom, empr_prenom','Liste des lecteurs par catgorie de lecteur, lecteur','1 2',NULL,0);
INSERT INTO procs (idproc, name, requete, comment, autorisations, parameters, num_classement) VALUES (11,'Stat : Compte prts / catgories de lecteurs pour une anne','SELECT CASE WHEN libelle IS NULL THEN \" Catgorie de lecteurs inconnue\" ELSE libelle END as Catgorie, count(*) as \"Nombre de prts\" FROM pret_archive LEFT JOIN empr_categ ON id_categ_empr = arc_empr_categ where year(arc_debut) = \'!!param1!!\' group by arc_empr_categ order by Catgorie','Nombre de prt par catgorie de lecteurs pour une anne','1 5 4 3 2','<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<FIELDS>\n <FIELD NAME=\"param1\" MANDATORY=\"yes\">\n  <ALIAS><![CDATA[anne]]></ALIAS>\n  <TYPE>text</TYPE>\n<OPTIONS></OPTIONS>\n </FIELD>\n <FIELD NAME=\"mois\" MANDATORY=\"yes\">\n  <ALIAS><![CDATA[mois]]></ALIAS>\n  <TYPE>list</TYPE>\n<OPTIONS FOR=\"list\">\r\n <MULTIPLE>yes</MULTIPLE>\r\n <ITEMS>\r\n  <ITEM VALUE=\"1\"><![CDATA[Janvier]]></ITEM>\r\n  <ITEM VALUE=\"2\"><![CDATA[Fvrier]]></ITEM>\r\n  <ITEM VALUE=\"3\"><![CDATA[Mars]]></ITEM>\r\n  <ITEM VALUE=\"4\"><![CDATA[Avril]]></ITEM>\r\n  <ITEM VALUE=\"5\"><![CDATA[Mai]]></ITEM>\r\n  <ITEM VALUE=\"6\"><![CDATA[Juin]]></ITEM>\r\n  <ITEM VALUE=\"7\"><![CDATA[Juillet]]></ITEM>\r\n  <ITEM VALUE=\"8\"><![CDATA[Aot]]></ITEM>\r\n  <ITEM VALUE=\"9\"><![CDATA[Septembre]]></ITEM>\r\n  <ITEM VALUE=\"10\"><![CDATA[Octobre]]></ITEM>\r\n  <ITEM VALUE=\"11\"><![CDATA[Novembre]]></ITEM>\r\n  <ITEM VALUE=\"12\"><![CDATA[Dcembre]]></ITEM>\r\n </ITEMS>\r\n <UNSELECT_ITEM VALUE=\"\"><![CDATA[]]></UNSELECT_ITEM>\r\n</OPTIONS>\n </FIELD>\n</FIELDS>',0);
INSERT INTO procs (idproc, name, requete, comment, autorisations, parameters, num_classement) VALUES (12,'Stat : Compte lecteurs / ge','SELECT CASE WHEN  (!!param1!! - empr_year) <= 13 THEN \' Jusque 13 ans\' WHEN (!!param1!! - empr_year) >13 and (!!param1!! - empr_year)<=24 THEN \'14  24 ans\' WHEN (!!param1!! - empr_year)>24 and (!!param1!! - empr_year)<=59 THEN \'25  59 ans\' WHEN (!!param1!! - empr_year)>59 THEN \'60 ans et plus\'  ELSE \'erreur sur age\' END as \"Tranche d\'ge\", count(*) as Nombre from empr where empr_categ in (!!categorie!!) and (year(empr_date_expiration)=!!param1!! or year(empr_date_adhesion)=!!param1!!) group by 1','Nbre de lecteurs par tranche d\'age pour une anne','1 4 3 2','<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<FIELDS>\n <FIELD NAME=\"param1\" MANDATORY=\"yes\">\n  <ALIAS><![CDATA[Anne de calcul]]></ALIAS>\n  <TYPE>text</TYPE>\n<OPTIONS FOR=\"text\">\r\n <SIZE>5</SIZE>\r\n <MAXSIZE>4</MAXSIZE>\r\n</OPTIONS> \n </FIELD>\n <FIELD NAME=\"categorie\" MANDATORY=\"yes\">\n  <ALIAS><![CDATA[Catgorie]]></ALIAS>\n  <TYPE>query_list</TYPE>\n<OPTIONS FOR=\"query_list\">\r\n <QUERY>select id_categ_empr, libelle from empr_categ order by libelle</QUERY>\r\n <MULTIPLE>yes</MULTIPLE>\r\n <UNSELECT_ITEM VALUE=\"\"></UNSELECT_ITEM>\r\n</OPTIONS>\n </FIELD>\n</FIELDS>',0);
INSERT INTO procs (idproc, name, requete, comment, autorisations, parameters, num_classement) VALUES (13,'Stat : Compte lecteurs / sexe / ge','SELECT case when empr_sexe=\'1\' then \'Hommes\' when empr_sexe=\'2\' then \'Femmes\' else \'erreur sur sexe\' end as Sexe, CASE WHEN  (!!param1!! - empr_year) <= 13 THEN \'Jusque 13 ans\' WHEN (!!param1!! - empr_year) >13 and (!!param1!! - empr_year) <= 24 THEN \'14  24 ans\' WHEN (!!param1!! - empr_year) >24 and (!!param1!! - empr_year) <= 59 THEN \'25  59 ans\' WHEN (!!param1!! - empr_year) >59 THEN \'60 ans et plus\'  ELSE \'erreur sur age\' END as \"Tranche d\'ge\", count(*) as Nombre from empr where empr_categ in (!!categorie!!) and (year(empr_date_expiration)=!!param1!! or year(empr_date_adhesion)=!!param1!!) group by sexe, 2','Nbre de lecteurs par sexe et tranche d\'ge pour une anne','1 4 3 2','<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<FIELDS>\n <FIELD NAME=\"param1\" MANDATORY=\"yes\">\n  <ALIAS><![CDATA[Anne de calcul]]></ALIAS>\n  <TYPE>text</TYPE>\n<OPTIONS FOR=\"text\">\r\n <SIZE>5</SIZE>\r\n <MAXSIZE>4</MAXSIZE>\r\n</OPTIONS> \n </FIELD>\n <FIELD NAME=\"categorie\" MANDATORY=\"yes\">\n  <ALIAS><![CDATA[Catgorie]]></ALIAS>\n  <TYPE>query_list</TYPE>\n<OPTIONS FOR=\"query_list\">\r\n <QUERY>select id_categ_empr, libelle from empr_categ order by libelle</QUERY>\r\n <MULTIPLE>no</MULTIPLE>\r\n <UNSELECT_ITEM VALUE=\"\"></UNSELECT_ITEM>\r\n</OPTIONS>\n </FIELD>\n</FIELDS>',0);
INSERT INTO procs (idproc, name, requete, comment, autorisations, parameters, num_classement) VALUES (14,'Stat : Compte lecteurs / ville / catgorie','select empr_ville as Ville, count(*) as Nbre from empr where empr_categ in (!!categorie!!) and (year(empr_date_expiration)=!!annee!! or year(empr_date_adhesion)=!!annee!!) group by empr_ville order by empr_ville','Nbre de lecteurs par ville de rsidence pour une ou plusieurs catgorie','1 4 3 2','<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<FIELDS>\n <FIELD NAME=\"categorie\" MANDATORY=\"yes\">\n  <ALIAS><![CDATA[Catgorie]]></ALIAS>\n  <TYPE>query_list</TYPE>\n<OPTIONS FOR=\"query_list\">\r\n <QUERY>select id_categ_empr, libelle from empr_categ order by libelle</QUERY>\r\n <MULTIPLE>yes</MULTIPLE>\r\n <UNSELECT_ITEM VALUE=\"\"></UNSELECT_ITEM>\r\n</OPTIONS>\n </FIELD>\n <FIELD NAME=\"annee\" MANDATORY=\"yes\">\n  <ALIAS><![CDATA[Anne de calcul]]></ALIAS>\n  <TYPE>text</TYPE>\n<OPTIONS FOR=\"text\">\r\n <SIZE>5</SIZE>\r\n <MAXSIZE>4</MAXSIZE>\r\n</OPTIONS>\n </FIELD>\n</FIELDS>',0);
INSERT INTO procs (idproc, name, requete, comment, autorisations, parameters, num_classement) VALUES (15,'Stat : Compte prts par mois','SELECT year(arc_debut) as Anne, month(arc_debut) as Mois, count(*) as \"Nombre de prts\" FROM pret_archive where year(arc_debut) = \'!!param1!!\' group by 1, 2 order by 1, 2','Nbre total de prts pour une anne','1 4 3 2','<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<FIELDS>\n <FIELD NAME=\"param1\" MANDATORY=\"yes\">\n  <ALIAS><![CDATA[Anne de calcul]]></ALIAS>\n  <TYPE>text</TYPE>\n<OPTIONS FOR=\"text\">\r\n <SIZE>5</SIZE>\r\n <MAXSIZE>4</MAXSIZE>\r\n</OPTIONS> \n </FIELD>\n</FIELDS>',0);
INSERT INTO procs (idproc, name, requete, comment, autorisations, parameters, num_classement) VALUES (16,'Stat : Compte prts / section pour une anne','SELECT CASE WHEN section_libelle IS NULL THEN \" Section supprime\" ELSE section_libelle END as Section, count(*) as \"Nombre de prts\" FROM pret_archive LEFT JOIN docs_section ON idsection = arc_expl_section where year(arc_debut) = \'!!param1!!\' group by arc_expl_section order by Section','Nombre de prts par section pour une anne','1 4 3 2','<?xml version=\"1.0\" encoding=\"iso-8859-1\"?>\n<FIELDS>\n <FIELD NAME=\"param1\" MANDATORY=\"yes\">\n  <ALIAS><![CDATA[anne]]></ALIAS>\n  <TYPE>text</TYPE>\n<OPTIONS FOR=\"text\">\r\n <SIZE>20</SIZE>\r\n <MAXSIZE>255</MAXSIZE>\r\n</OPTIONS>\n </FIELD>\n <FIELD NAME=\"mois\" MANDATORY=\"yes\">\n  <ALIAS><![CDATA[mois]]></ALIAS>\n  <TYPE>list</TYPE>\n<OPTIONS FOR=\"list\">\r\n <MULTIPLE>yes</MULTIPLE>\r\n <ITEMS>\r\n  <ITEM VALUE=\"1\"><![CDATA[Janvier]]></ITEM>\r\n  <ITEM VALUE=\"2\"><![CDATA[Fvrier]]></ITEM>\r\n  <ITEM VALUE=\"3\"><![CDATA[Mars]]></ITEM>\r\n  <ITEM VALUE=\"4\"><![CDATA[Avril]]></ITEM>\r\n  <ITEM VALUE=\"5\"><![CDATA[Mai]]></ITEM>\r\n  <ITEM VALUE=\"6\"><![CDATA[Juin]]></ITEM>\r\n  <ITEM VALUE=\"7\"><![CDATA[Juillet]]></ITEM>\r\n  <ITEM VALUE=\"8\"><![CDATA[Aot]]></ITEM>\r\n  <ITEM VALUE=\"9\"><![CDATA[Septembre]]></ITEM>\r\n  <ITEM VALUE=\"10\"><![CDATA[Octobre]]></ITEM>\r\n  <ITEM VALUE=\"11\"><![CDATA[Novembre]]></ITEM>\r\n  <ITEM VALUE=\"12\"><![CDATA[Dcembre]]></ITEM>\r\n </ITEMS>\r\n <UNSELECT_ITEM VALUE=\"\"><![CDATA[]]></UNSELECT_ITEM>\r\n</OPTIONS>\n </FIELD>\n</FIELDS>',0);
