<?php
// +-------------------------------------------------+
//  2002-2004 PMB Services / www.sigb.net pmb@sigb.net et contributeurs (voir www.sigb.net)
// +-------------------------------------------------+
// $Id: ajax_selector.php,v 1.8.2.1 2008/04/24 17:15:22 gueluneau Exp $

$base_path=".";

require_once("includes/init.inc.php");
require_once($base_path."/includes/error_report.inc.php") ;
require_once($base_path."/includes/global_vars.inc.php");
require_once($base_path.'/includes/opac_config.inc.php');
	
// rcupration paramtres MySQL et connection  la base
require_once($base_path.'/includes/opac_db_param.inc.php');
require_once($base_path.'/includes/opac_mysql_connect.inc.php');
$dbh = connection_mysql();

require_once($base_path."/includes/misc.inc.php");

//Sessions !! Attention, ce doit tre imprativement le premier include ( cause des cookies)
require_once($base_path."/includes/session.inc.php");

require_once($base_path.'/includes/start.inc.php');

require_once("$class_path/marc_table.class.php");
require_once("$class_path/analyse_query.class.php");

header("Content-Type: text/html; charset=$charset");

$start=stripslashes($datas);
$start = str_replace("*","%",$start);

switch($completion):
	case 'categories':
		$array_selector=array();
		$array_prefix=array();
		require_once("$class_path/thesaurus.class.php");
		require_once("$class_path/categories.class.php");
		if ($thesaurus_mode_pmb==1) $id_thes=-1;
			else $id_thes=$opac_thesaurus_defaut;

		$aq=new analyse_query($start);

		$members_catdef = $aq->get_query_members("catdef", "catdef.libelle_categorie", "catdef.index_categorie", "catdef.num_noeud");
		$members_catlg = $aq->get_query_members("catlg", "catlg.libelle_categorie", "catlg.index_categorie", "catlg.num_noeud");

		$thesaurus_requette='';
		if($opac_thesaurus==0) $thesaurus_requette= " id_thesaurus='$opac_thesaurus_defaut' and ";

		$requete = "select catdef.num_noeud as categ_id, \n";
		$requete.= "noeuds.num_parent as categ_parent, \n";
		$requete.= "noeuds.num_renvoi_voir as categ_see, \n";
		$requete.= "noeuds.num_thesaurus, \n";
		$requete.= "if (catlg.num_noeud is null, catdef.langue, catlg.langue) as langue, \n";
		$requete.= "if (catlg.num_noeud is null, catdef.libelle_categorie, catlg.libelle_categorie) as categ_libelle, \n";
		$requete.= "if (catlg.num_noeud is null, catdef.index_categorie, catlg.index_categorie) as index_categorie, \n";
		$requete.= "if (catlg.num_noeud is null, catdef.note_application, catlg.note_application) as categ_comment, \n";
		$requete.= "if (catlg.num_noeud is null, (".$members_catdef["select"]."), (".$members_catlg["select"].") ) as pert \n";
		$requete.= "from thesaurus left join noeuds on thesaurus.id_thesaurus = noeuds.num_thesaurus \n";
		$requete.= "left join categories as catdef on noeuds.id_noeud = catdef.num_noeud and catdef.langue = thesaurus.langue_defaut \n";
		$requete.= "left join categories as catlg on catdef.num_noeud = catlg.num_noeud and catlg.langue = '".$lang."' \n";
		$requete.= "where opac_active='1' and $thesaurus_requette ( if(catlg.num_noeud is null, (catdef.libelle_categorie like '".addslashes($start)."%' ), (catlg.libelle_categorie like '".addslashes($start)."%' )) ) \n "; 	
		$requete.= "order by pert desc,num_thesaurus, index_categorie \n";
		$requete.= "limit 20 ";

		$aq=new analyse_query(stripslashes($datas."*"));
		$members_catdef = $aq->get_query_members("catdef", "catdef.libelle_categorie", "catdef.index_categorie", "catdef.num_noeud");
		$members_catlg = $aq->get_query_members("catlg", "catlg.libelle_categorie", "catlg.index_categorie", "catlg.num_noeud");
		if (!$aq->error) {
			$requete1 = "select distinct catdef.num_noeud as categ_id, \n";
			$requete1.= "noeuds.num_parent as categ_parent, \n";
			$requete1.= "noeuds.num_renvoi_voir as categ_see, \n";
			$requete1.= "noeuds.num_thesaurus, \n";
			$requete1.= "if (catlg.num_noeud is null, catdef.langue, catlg.langue) as langue, \n";
			$requete1.= "if (catlg.num_noeud is null, catdef.libelle_categorie, catlg.libelle_categorie) as categ_libelle, \n";
			$requete1.= "if (catlg.num_noeud is null, catdef.index_categorie, catlg.index_categorie) as index_categorie, \n";
			$requete1.= "if (catlg.num_noeud is null, catdef.note_application, catlg.note_application) as categ_comment, \n";
			$requete1.= "if (catlg.num_noeud is null, ".$members_catdef["select"].", ".$members_catlg["select"].") as pert ";
			$requete1.= "from thesaurus left join noeuds on thesaurus.id_thesaurus = noeuds.num_thesaurus ";
			$requete1.= "left join categories as catdef on noeuds.id_noeud = catdef.num_noeud and catdef.langue = thesaurus.langue_defaut ";
			$requete1.= "left join categories as catlg on catdef.num_noeud = catlg.num_noeud and catlg.langue = '".$lang."' ";
			$requete1.= "where ".$thesaurus_requette." 1 ";
			$requete1.= " and opac_active='1' ";
			$requete1.= "and catdef.libelle_categorie not like '~%' ";
			$requete1.= "and (if (catlg.num_noeud is null, ".$members_catdef["where"].", ".$members_catlg["where"].") ) order by pert desc,catlg.index_categorie,catdef.index_categorie limit 20";
		} else $requete1="";

		$res = @mysql_query($requete, $dbh) or die(mysql_error()."<br>$requete");
		while(($categ=mysql_fetch_object($res))) {
			$display_temp = "" ;
			$display_temp_prefix = "" ;
			$temp = new categories($categ->categ_id, $categ->langue);
			if ($id_thes == -1) {
				$thes = new thesaurus($categ->num_thesaurus);
				$display_temp_prefix = htmlentities('['.$thes->libelle_thesaurus.'] ',ENT_QUOTES, $charset);
			}
			$id_categ_retenue = $categ->categ_id ;	
			if($categ->categ_see) {
				$id_categ_retenue = $categ->categ_see ;
				$temp = new categories($categ->categ_see, $categ->langue);
				$display_temp.= $categ->categ_libelle." -> ";
				if ($opac_categories_show_only_last) $display_temp.= $temp->libelle_categorie;
				else $display_temp.= categories::listAncestorNames($categ->categ_see, $categ->langue);				
				$display_temp.= "@";
			} else {
				if ($opac_categories_show_only_last) $display_temp.= $categ->categ_libelle;
				else $display_temp.= categories::listAncestorNames($categ->categ_id, $categ->langue); 			
			}		
			$array_selector[$id_categ_retenue] = $display_temp ;
			if ($display_temp_prefix) $array_prefix[$id_categ_retenue]=$display_temp_prefix;
		} // fin while		
		if ($requete1) {
			$res1 = @mysql_query($requete1, $dbh) or die(mysql_error()."<br>$requete1");
			while(($categ=mysql_fetch_object($res1))) {
				$display_temp = "" ;
				$display_temp_prefix="";
				$temp = new categories($categ->categ_id, $categ->langue);
				if ($id_thes == -1) {
					$thes = new thesaurus($categ->num_thesaurus);
					$display_temp_prefix = htmlentities('['.$thes->libelle_thesaurus.'] ',ENT_QUOTES, $charset);
				}
				$id_categ_retenue = $categ->categ_id ;	
				if($categ->categ_see) {
					$id_categ_retenue = $categ->categ_see ;
					$temp = new categories($categ->categ_see, $categ->langue);
					$display_temp.= $categ->categ_libelle." -> ";
					if ($opac_categories_show_only_last) $display_temp.= $temp->libelle_categorie;
					else $display_temp.= categories::listAncestorNames($categ->categ_see, $categ->langue);				
					$display_temp.= "@";
				} else {
					if ($opac_categories_show_only_last) $display_temp.= $categ->categ_libelle;
					else $display_temp.= categories::listAncestorNames($categ->categ_id, $categ->langue); 			
				}		
				if (!$array_selector[$id_categ_retenue]) {
					$array_selector["*".$id_categ_retenue] = $display_temp ;
					if ($display_temp_prefix) $array_prefix["*".$id_categ_retenue]=$display_temp_prefix;
				}
			} // fin while		
		}
		$origine = "ARRAY" ;
		break;
	case 'authors':
		if ($autexclude) $restrict = " AND author_id not in ($autexclude) ";
		$requete="select if(author_rejete is not null and author_rejete!='',concat(author_name,', ',author_rejete),author_name) as author,author_id from authors where if(author_rejete is not null and author_rejete!='',concat(author_name,', ',author_rejete),author_name) like '".addslashes($start)."%' $restrict order by 1 limit 20";	
		$origine = "SQL" ;
		break;
	case 'publishers':
		if ($autexclude) $restrict = " AND ed_id not in ($autexclude) ";
		$requete="select if(ed_ville is not null and ed_ville!='',concat(ed_name,', ',ed_ville),ed_name) as ed,ed_id from publishers where if(ed_ville is not null and ed_ville!='',concat(ed_name,', ',ed_ville),ed_name) like '".addslashes($start)."%' $restrict order by 1 limit 20";	
		$origine = "SQL" ;
		break;
	case 'collections':
		if ($autexclude) $restrict = " AND collection_id not in ($autexclude) ";
		if ($linkfield) $restrict .= " AND collection_parent ='$linkfield' ";
		$requete="select if(collection_issn is not null and collection_issn!='',concat(collection_name,', ',collection_issn),collection_name) as coll,collection_id from collections where if(collection_issn is not null and collection_issn!='',concat(collection_name,', ',collection_issn),collection_name) like '".addslashes($start)."%' $restrict order by index_coll limit 20";
		$origine = "SQL" ;
		break;
	case 'subcollections':
		if ($autexclude) $restrict = " AND sub_coll_id not in ($autexclude) ";
		if ($linkfield) $restrict .= " AND sub_coll_parent ='$linkfield' ";
		$requete="select if(sub_coll_issn is not null and sub_coll_issn!='',concat(sub_coll_name,', ',sub_coll_issn),sub_coll_name) as subcoll,sub_coll_id from sub_collections where if(sub_coll_issn is not null and sub_coll_issn!='',concat(sub_coll_name,', ',sub_coll_issn),sub_coll_name) like '".addslashes($start)."%' $restrict order by 1 limit 20";	
		$origine = "SQL" ;
		break;
	case 'indexint':
		if ($autexclude) $restrict = " AND indexint_id not in ($autexclude) ";
		$requete="select if(indexint_comment is not null and indexint_comment!='',concat(indexint_name,' : ',indexint_comment),indexint_name) as indexint,indexint_id from indexint where if(indexint_comment is not null and indexint_comment!='',concat(indexint_name,' - ',indexint_comment),indexint_name) like '".addslashes($start)."%' $restrict order by 1 limit 20";	
		$origine = "SQL" ;
		break;
	case 'notice':
		require_once('./includes/isbn.inc.php');
		if ($autexclude) $restrict = " AND notice_id not in ($autexclude) ";
		$requete = "select if(serie_name is not null,if(tnvol is not null,concat(serie_name,', ',tnvol,'. ',tit1),concat(serie_name,'. ',tit1)),tit1), notice_id from notices left join series on serie_id=tparent_id where (index_wew like '$start%' or tit1 like '$start%' or code like '".traite_code_isbn($start)."') $restrict order by index_serie, tnvol, index_sew , code limit 20 ";
		$origine = "SQL" ;
		break;
	case 'serie':
		if ($autexclude) $restrict = " AND serie_id not in ($autexclude) ";
		$requete="select serie_name,serie_id from series where serie_name like '".addslashes($start)."%' $restrict order by 1 limit 20";
		$origine = "SQL" ;
		break;
	case 'fonction':
		// rcupration des codes de fonction
		if (!count($s_func )) {
			$s_func = new marc_list('function');
			}
		$origine = "TABLEAU" ;
		break;
	case 'langue':
		// rcupration des codes de langue
		if (!count($s_func )) {
			$s_func = new marc_list('lang');
			}
		$origine = "TABLEAU" ;
		break;
	default: 
		break;
endswitch;

switch ($origine):
	case 'SQL':
		$resultat=mysql_query($requete) or die(mysql_error()."<br>$requete") ;
		$i=1;
		while($r=@mysql_fetch_array($resultat)) {
			echo "<div id='l".$id.$i."'";
			if ($autfield) echo " autid='".$r[1]."'";
			echo " style='cursor:default;font-family:arial,helvetica;font-size:10px;width:100%' onClick='ajax_set_datas(\"l".$id.$i."\",\"$id\")'>".$r[0]."</div>";
			$i++;
			}
		break;
	case 'TABLEAU':
		$i=1;
		while(list($index, $value) = each($s_func->table)) {
			if (strtolower(substr($value,0,strlen($start)))==strtolower($start)) {
				echo "<div id='l".$id.$i."'";
				if ($autfield) echo " autid='".$index."'";
				echo " style='cursor:default;font-family:arial,helvetica;font-size:10px;width:100%' onClick='ajax_set_datas(\"l".$id.$i."\",\"$id\")'>".$value."</div>";
				$i++;
				}
			}
		break;
	case 'ARRAY':
		$i=1;
		while(list($index, $value) = each($array_selector)) {
			$grey=false;
			$prefix=$array_prefix[$index];
			if ($index[0]=="*") { $index=substr($index,1); $grey=true; }
			if ($prefix) {
				echo "<div id='p".$id.$i."' style='cursor:default;font-family:arial,helvetica;font-size:10px;".($prefix?"width:100%":"").($grey?";color:#888":"").";'>";
				echo $prefix." ";
			}
			echo " <".($prefix?"span":"div")." id='l".$id.$i."'";
			if ($autfield) echo " autid='".$index."'";
			echo " style='cursor:default;font-family:arial,helvetica;font-size:10px;".(!$prefix?"width:100%":"").($grey?";color:#888":"").";' onClick='ajax_set_datas(\"l".$id.$i."\",\"$id\")'>".$value."</".($prefix?"span":"div").">";
			if ($prefix) echo "</div>";
			$i++;	
			}
		break;
	default: 
		break;
endswitch;


